import { type SelectValue } from "tdesign-vue-next";
declare const _sfc_main: import("vue").DefineComponent<{
    parentType: {
        type: StringConstructor;
        default: string;
    };
}, {
    props: any;
    options: import("vue").Ref<any[]>;
    $emit: (event: "customAdd" | "delete" | "submit", ...args: any[]) => void;
    form: any;
    keyVisible: import("vue").ComputedRef<any>;
    valueVisible: import("vue").ComputedRef<any>;
    computedType: (type: string) => string;
    handleChangeType: () => void;
    handleDoubleClick: any;
    handleSelectType: (value: SelectValue) => void;
    handleSubmit: () => void;
    handleCustomSubmit: () => void;
    handleDelete: () => void;
    readonly TSelect: {
        new (...args: any[]): {
            $: import("vue").ComponentInternalInstance;
            $data: {};
            $props: Partial<{
                max: number;
                value: any;
                loading: boolean;
                disabled: boolean;
                multiple: boolean;
                options: import("tdesign-vue-next").SelectOption[];
                size: import("tdesign-vue-next/es/common").SizeEnum;
                readonly: boolean;
                placeholder: string;
                modelValue: any;
                showArrow: boolean;
                autoWidth: boolean;
                clearable: boolean;
                inputValue: string;
                minCollapsedNum: number;
                borderless: boolean;
                popupVisible: boolean;
                reserveKeyword: boolean;
                valueType: "object" | "value";
                creatable: boolean;
                filterable: boolean;
                bordered: boolean;
                defaultPopupVisible: boolean;
            }> & Omit<Readonly<import("vue").ExtractPropTypes<{
                autoWidth: BooleanConstructor;
                bordered: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                borderless: BooleanConstructor;
                clearable: BooleanConstructor;
                collapsedItems: {
                    type: import("vue").PropType<(h: typeof import("vue").h, props: {
                        value: import("tdesign-vue-next").SelectOption[];
                        collapsedSelectedItems: import("tdesign-vue-next").SelectOption[];
                        count: number;
                    }) => import("tdesign-vue-next/es/common").SlotReturnValue>;
                };
                creatable: BooleanConstructor;
                disabled: BooleanConstructor;
                empty: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                filter: {
                    type: import("vue").PropType<(filterWords: string, option: import("tdesign-vue-next").SelectOption) => boolean | Promise<boolean>>;
                };
                filterable: BooleanConstructor;
                inputProps: {
                    type: import("vue").PropType<import("tdesign-vue-next").TdInputProps>;
                };
                inputValue: {
                    type: import("vue").PropType<string>;
                    default: any;
                };
                defaultInputValue: {
                    type: import("vue").PropType<string>;
                };
                keys: {
                    type: import("vue").PropType<import("tdesign-vue-next").SelectKeysType>;
                };
                loading: BooleanConstructor;
                loadingText: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                max: {
                    type: NumberConstructor;
                    default: number;
                };
                minCollapsedNum: {
                    type: NumberConstructor;
                    default: number;
                };
                multiple: BooleanConstructor;
                options: {
                    type: import("vue").PropType<import("tdesign-vue-next").SelectOption[]>;
                    default: () => import("tdesign-vue-next").SelectOption[];
                };
                panelBottomContent: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                panelTopContent: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                placeholder: {
                    type: StringConstructor;
                    default: any;
                };
                popupProps: {
                    type: import("vue").PropType<import("tdesign-vue-next").TdPopupProps>;
                };
                popupVisible: {
                    type: BooleanConstructor;
                    default: any;
                };
                defaultPopupVisible: BooleanConstructor;
                prefixIcon: {
                    type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
                };
                readonly: BooleanConstructor;
                reserveKeyword: BooleanConstructor;
                scroll: {
                    type: import("vue").PropType<import("tdesign-vue-next/es/common").InfinityScroll>;
                };
                selectInputProps: {
                    type: import("vue").PropType<import("tdesign-vue-next").TdSelectInputProps>;
                };
                showArrow: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                size: {
                    type: import("vue").PropType<import("tdesign-vue-next/es/common").SizeEnum>;
                    default: import("tdesign-vue-next/es/common").SizeEnum;
                    validator(val: import("tdesign-vue-next/es/common").SizeEnum): boolean;
                };
                status: {
                    type: import("vue").PropType<"default" | "error" | "success" | "warning">;
                    validator(val: "default" | "error" | "success" | "warning"): boolean;
                };
                tagInputProps: {
                    type: import("vue").PropType<import("tdesign-vue-next").TdTagInputProps>;
                };
                tagProps: {
                    type: import("vue").PropType<import("tdesign-vue-next").TdTagProps>;
                };
                tips: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                value: {
                    type: import("vue").PropType<SelectValue<import("tdesign-vue-next").SelectOption>>;
                    default: any;
                };
                modelValue: {
                    type: import("vue").PropType<SelectValue<import("tdesign-vue-next").SelectOption>>;
                    default: any;
                };
                defaultValue: {
                    type: import("vue").PropType<SelectValue<import("tdesign-vue-next").SelectOption>>;
                };
                valueDisplay: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h, props: {
                        value: SelectValue<import("tdesign-vue-next").SelectOption>;
                        onClose: (index: number, item?: any) => void;
                        displayValue?: SelectValue<import("tdesign-vue-next").SelectOption>;
                    }) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                valueType: {
                    type: import("vue").PropType<"object" | "value">;
                    default: "object" | "value";
                    validator(val: "object" | "value"): boolean;
                };
                onBlur: import("vue").PropType<(context: {
                    value: SelectValue<import("tdesign-vue-next").SelectOption>;
                    e: FocusEvent | KeyboardEvent;
                }) => void>;
                onChange: import("vue").PropType<(value: SelectValue<import("tdesign-vue-next").SelectOption>, context: {
                    selectedOptions: import("tdesign-vue-next").SelectOption[];
                    trigger: import("tdesign-vue-next").SelectValueChangeTrigger;
                    e?: MouseEvent | KeyboardEvent;
                }) => void>;
                onClear: import("vue").PropType<(context: {
                    e: MouseEvent;
                }) => void>;
                onCreate: import("vue").PropType<(value: string | number) => void>;
                onEnter: import("vue").PropType<(context: {
                    inputValue: string;
                    e: KeyboardEvent;
                    value: SelectValue<import("tdesign-vue-next").SelectOption>;
                }) => void>;
                onFocus: import("vue").PropType<(context: {
                    value: SelectValue<import("tdesign-vue-next").SelectOption>;
                    e: FocusEvent | KeyboardEvent;
                }) => void>;
                onInputChange: import("vue").PropType<(value: string, context?: import("tdesign-vue-next").SelectInputValueChangeContext) => void>;
                onPopupVisibleChange: import("vue").PropType<(visible: boolean, context: import("tdesign-vue-next").PopupVisibleChangeContext) => void>;
                onRemove: import("vue").PropType<(options: import("tdesign-vue-next").SelectRemoveContext<import("tdesign-vue-next").SelectOption>) => void>;
                onSearch: import("vue").PropType<(filterWords: string) => void>;
                onVisibleChange: import("vue").PropType<(visible: boolean) => void>;
            }>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "value" | "disabled" | "size" | "modelValue" | "autoWidth" | "bordered" | "borderless" | "clearable" | "creatable" | "filterable" | "inputValue" | "loading" | "max" | "minCollapsedNum" | "multiple" | "options" | "placeholder" | "popupVisible" | "defaultPopupVisible" | "readonly" | "reserveKeyword" | "showArrow" | "valueType">;
            $attrs: {
                [x: string]: unknown;
            };
            $refs: {
                [x: string]: unknown;
            };
            $slots: Readonly<{
                [name: string]: import("vue").Slot;
            }>;
            $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>;
            $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>;
            $emit: (event: string, ...args: any[]) => void;
            $el: any;
            $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                autoWidth: BooleanConstructor;
                bordered: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                borderless: BooleanConstructor;
                clearable: BooleanConstructor;
                collapsedItems: {
                    type: import("vue").PropType<(h: typeof import("vue").h, props: {
                        value: import("tdesign-vue-next").SelectOption[];
                        collapsedSelectedItems: import("tdesign-vue-next").SelectOption[];
                        count: number;
                    }) => import("tdesign-vue-next/es/common").SlotReturnValue>;
                };
                creatable: BooleanConstructor;
                disabled: BooleanConstructor;
                empty: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                filter: {
                    type: import("vue").PropType<(filterWords: string, option: import("tdesign-vue-next").SelectOption) => boolean | Promise<boolean>>;
                };
                filterable: BooleanConstructor;
                inputProps: {
                    type: import("vue").PropType<import("tdesign-vue-next").TdInputProps>;
                };
                inputValue: {
                    type: import("vue").PropType<string>;
                    default: any;
                };
                defaultInputValue: {
                    type: import("vue").PropType<string>;
                };
                keys: {
                    type: import("vue").PropType<import("tdesign-vue-next").SelectKeysType>;
                };
                loading: BooleanConstructor;
                loadingText: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                max: {
                    type: NumberConstructor;
                    default: number;
                };
                minCollapsedNum: {
                    type: NumberConstructor;
                    default: number;
                };
                multiple: BooleanConstructor;
                options: {
                    type: import("vue").PropType<import("tdesign-vue-next").SelectOption[]>;
                    default: () => import("tdesign-vue-next").SelectOption[];
                };
                panelBottomContent: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                panelTopContent: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                placeholder: {
                    type: StringConstructor;
                    default: any;
                };
                popupProps: {
                    type: import("vue").PropType<import("tdesign-vue-next").TdPopupProps>;
                };
                popupVisible: {
                    type: BooleanConstructor;
                    default: any;
                };
                defaultPopupVisible: BooleanConstructor;
                prefixIcon: {
                    type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
                };
                readonly: BooleanConstructor;
                reserveKeyword: BooleanConstructor;
                scroll: {
                    type: import("vue").PropType<import("tdesign-vue-next/es/common").InfinityScroll>;
                };
                selectInputProps: {
                    type: import("vue").PropType<import("tdesign-vue-next").TdSelectInputProps>;
                };
                showArrow: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                size: {
                    type: import("vue").PropType<import("tdesign-vue-next/es/common").SizeEnum>;
                    default: import("tdesign-vue-next/es/common").SizeEnum;
                    validator(val: import("tdesign-vue-next/es/common").SizeEnum): boolean;
                };
                status: {
                    type: import("vue").PropType<"default" | "error" | "success" | "warning">;
                    validator(val: "default" | "error" | "success" | "warning"): boolean;
                };
                tagInputProps: {
                    type: import("vue").PropType<import("tdesign-vue-next").TdTagInputProps>;
                };
                tagProps: {
                    type: import("vue").PropType<import("tdesign-vue-next").TdTagProps>;
                };
                tips: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                value: {
                    type: import("vue").PropType<SelectValue<import("tdesign-vue-next").SelectOption>>;
                    default: any;
                };
                modelValue: {
                    type: import("vue").PropType<SelectValue<import("tdesign-vue-next").SelectOption>>;
                    default: any;
                };
                defaultValue: {
                    type: import("vue").PropType<SelectValue<import("tdesign-vue-next").SelectOption>>;
                };
                valueDisplay: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h, props: {
                        value: SelectValue<import("tdesign-vue-next").SelectOption>;
                        onClose: (index: number, item?: any) => void;
                        displayValue?: SelectValue<import("tdesign-vue-next").SelectOption>;
                    }) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                valueType: {
                    type: import("vue").PropType<"object" | "value">;
                    default: "object" | "value";
                    validator(val: "object" | "value"): boolean;
                };
                onBlur: import("vue").PropType<(context: {
                    value: SelectValue<import("tdesign-vue-next").SelectOption>;
                    e: FocusEvent | KeyboardEvent;
                }) => void>;
                onChange: import("vue").PropType<(value: SelectValue<import("tdesign-vue-next").SelectOption>, context: {
                    selectedOptions: import("tdesign-vue-next").SelectOption[];
                    trigger: import("tdesign-vue-next").SelectValueChangeTrigger;
                    e?: MouseEvent | KeyboardEvent;
                }) => void>;
                onClear: import("vue").PropType<(context: {
                    e: MouseEvent;
                }) => void>;
                onCreate: import("vue").PropType<(value: string | number) => void>;
                onEnter: import("vue").PropType<(context: {
                    inputValue: string;
                    e: KeyboardEvent;
                    value: SelectValue<import("tdesign-vue-next").SelectOption>;
                }) => void>;
                onFocus: import("vue").PropType<(context: {
                    value: SelectValue<import("tdesign-vue-next").SelectOption>;
                    e: FocusEvent | KeyboardEvent;
                }) => void>;
                onInputChange: import("vue").PropType<(value: string, context?: import("tdesign-vue-next").SelectInputValueChangeContext) => void>;
                onPopupVisibleChange: import("vue").PropType<(visible: boolean, context: import("tdesign-vue-next").PopupVisibleChangeContext) => void>;
                onRemove: import("vue").PropType<(options: import("tdesign-vue-next").SelectRemoveContext<import("tdesign-vue-next").SelectOption>) => void>;
                onSearch: import("vue").PropType<(filterWords: string) => void>;
                onVisibleChange: import("vue").PropType<(visible: boolean) => void>;
            }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
                max: number;
                value: any;
                loading: boolean;
                disabled: boolean;
                multiple: boolean;
                options: import("tdesign-vue-next").SelectOption[];
                size: import("tdesign-vue-next/es/common").SizeEnum;
                readonly: boolean;
                placeholder: string;
                modelValue: any;
                showArrow: boolean;
                autoWidth: boolean;
                clearable: boolean;
                inputValue: string;
                minCollapsedNum: number;
                borderless: boolean;
                popupVisible: boolean;
                reserveKeyword: boolean;
                valueType: "object" | "value";
                creatable: boolean;
                filterable: boolean;
                bordered: boolean;
                defaultPopupVisible: boolean;
            }, {}, string> & {
                beforeCreate?: (() => void) | (() => void)[];
                created?: (() => void) | (() => void)[];
                beforeMount?: (() => void) | (() => void)[];
                mounted?: (() => void) | (() => void)[];
                beforeUpdate?: (() => void) | (() => void)[];
                updated?: (() => void) | (() => void)[];
                activated?: (() => void) | (() => void)[];
                deactivated?: (() => void) | (() => void)[];
                beforeDestroy?: (() => void) | (() => void)[];
                beforeUnmount?: (() => void) | (() => void)[];
                destroyed?: (() => void) | (() => void)[];
                unmounted?: (() => void) | (() => void)[];
                renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
                renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
                errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>, info: string) => boolean | void)[];
            };
            $forceUpdate: () => void;
            $nextTick: typeof import("vue").nextTick;
            $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
        } & Readonly<import("vue").ExtractPropTypes<{
            autoWidth: BooleanConstructor;
            bordered: {
                type: BooleanConstructor;
                default: boolean;
            };
            borderless: BooleanConstructor;
            clearable: BooleanConstructor;
            collapsedItems: {
                type: import("vue").PropType<(h: typeof import("vue").h, props: {
                    value: import("tdesign-vue-next").SelectOption[];
                    collapsedSelectedItems: import("tdesign-vue-next").SelectOption[];
                    count: number;
                }) => import("tdesign-vue-next/es/common").SlotReturnValue>;
            };
            creatable: BooleanConstructor;
            disabled: BooleanConstructor;
            empty: {
                type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            };
            filter: {
                type: import("vue").PropType<(filterWords: string, option: import("tdesign-vue-next").SelectOption) => boolean | Promise<boolean>>;
            };
            filterable: BooleanConstructor;
            inputProps: {
                type: import("vue").PropType<import("tdesign-vue-next").TdInputProps>;
            };
            inputValue: {
                type: import("vue").PropType<string>;
                default: any;
            };
            defaultInputValue: {
                type: import("vue").PropType<string>;
            };
            keys: {
                type: import("vue").PropType<import("tdesign-vue-next").SelectKeysType>;
            };
            loading: BooleanConstructor;
            loadingText: {
                type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            };
            max: {
                type: NumberConstructor;
                default: number;
            };
            minCollapsedNum: {
                type: NumberConstructor;
                default: number;
            };
            multiple: BooleanConstructor;
            options: {
                type: import("vue").PropType<import("tdesign-vue-next").SelectOption[]>;
                default: () => import("tdesign-vue-next").SelectOption[];
            };
            panelBottomContent: {
                type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            };
            panelTopContent: {
                type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            };
            placeholder: {
                type: StringConstructor;
                default: any;
            };
            popupProps: {
                type: import("vue").PropType<import("tdesign-vue-next").TdPopupProps>;
            };
            popupVisible: {
                type: BooleanConstructor;
                default: any;
            };
            defaultPopupVisible: BooleanConstructor;
            prefixIcon: {
                type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
            };
            readonly: BooleanConstructor;
            reserveKeyword: BooleanConstructor;
            scroll: {
                type: import("vue").PropType<import("tdesign-vue-next/es/common").InfinityScroll>;
            };
            selectInputProps: {
                type: import("vue").PropType<import("tdesign-vue-next").TdSelectInputProps>;
            };
            showArrow: {
                type: BooleanConstructor;
                default: boolean;
            };
            size: {
                type: import("vue").PropType<import("tdesign-vue-next/es/common").SizeEnum>;
                default: import("tdesign-vue-next/es/common").SizeEnum;
                validator(val: import("tdesign-vue-next/es/common").SizeEnum): boolean;
            };
            status: {
                type: import("vue").PropType<"default" | "error" | "success" | "warning">;
                validator(val: "default" | "error" | "success" | "warning"): boolean;
            };
            tagInputProps: {
                type: import("vue").PropType<import("tdesign-vue-next").TdTagInputProps>;
            };
            tagProps: {
                type: import("vue").PropType<import("tdesign-vue-next").TdTagProps>;
            };
            tips: {
                type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            };
            value: {
                type: import("vue").PropType<SelectValue<import("tdesign-vue-next").SelectOption>>;
                default: any;
            };
            modelValue: {
                type: import("vue").PropType<SelectValue<import("tdesign-vue-next").SelectOption>>;
                default: any;
            };
            defaultValue: {
                type: import("vue").PropType<SelectValue<import("tdesign-vue-next").SelectOption>>;
            };
            valueDisplay: {
                type: import("vue").PropType<string | ((h: typeof import("vue").h, props: {
                    value: SelectValue<import("tdesign-vue-next").SelectOption>;
                    onClose: (index: number, item?: any) => void;
                    displayValue?: SelectValue<import("tdesign-vue-next").SelectOption>;
                }) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            };
            valueType: {
                type: import("vue").PropType<"object" | "value">;
                default: "object" | "value";
                validator(val: "object" | "value"): boolean;
            };
            onBlur: import("vue").PropType<(context: {
                value: SelectValue<import("tdesign-vue-next").SelectOption>;
                e: FocusEvent | KeyboardEvent;
            }) => void>;
            onChange: import("vue").PropType<(value: SelectValue<import("tdesign-vue-next").SelectOption>, context: {
                selectedOptions: import("tdesign-vue-next").SelectOption[];
                trigger: import("tdesign-vue-next").SelectValueChangeTrigger;
                e?: MouseEvent | KeyboardEvent;
            }) => void>;
            onClear: import("vue").PropType<(context: {
                e: MouseEvent;
            }) => void>;
            onCreate: import("vue").PropType<(value: string | number) => void>;
            onEnter: import("vue").PropType<(context: {
                inputValue: string;
                e: KeyboardEvent;
                value: SelectValue<import("tdesign-vue-next").SelectOption>;
            }) => void>;
            onFocus: import("vue").PropType<(context: {
                value: SelectValue<import("tdesign-vue-next").SelectOption>;
                e: FocusEvent | KeyboardEvent;
            }) => void>;
            onInputChange: import("vue").PropType<(value: string, context?: import("tdesign-vue-next").SelectInputValueChangeContext) => void>;
            onPopupVisibleChange: import("vue").PropType<(visible: boolean, context: import("tdesign-vue-next").PopupVisibleChangeContext) => void>;
            onRemove: import("vue").PropType<(options: import("tdesign-vue-next").SelectRemoveContext<import("tdesign-vue-next").SelectOption>) => void>;
            onSearch: import("vue").PropType<(filterWords: string) => void>;
            onVisibleChange: import("vue").PropType<(visible: boolean) => void>;
        }>> & import("vue").ShallowUnwrapRef<() => JSX.Element> & import("vue").ComponentCustomProperties;
        __isFragment?: never;
        __isTeleport?: never;
        __isSuspense?: never;
    } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
        autoWidth: BooleanConstructor;
        bordered: {
            type: BooleanConstructor;
            default: boolean;
        };
        borderless: BooleanConstructor;
        clearable: BooleanConstructor;
        collapsedItems: {
            type: import("vue").PropType<(h: typeof import("vue").h, props: {
                value: import("tdesign-vue-next").SelectOption[];
                collapsedSelectedItems: import("tdesign-vue-next").SelectOption[];
                count: number;
            }) => import("tdesign-vue-next/es/common").SlotReturnValue>;
        };
        creatable: BooleanConstructor;
        disabled: BooleanConstructor;
        empty: {
            type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
        };
        filter: {
            type: import("vue").PropType<(filterWords: string, option: import("tdesign-vue-next").SelectOption) => boolean | Promise<boolean>>;
        };
        filterable: BooleanConstructor;
        inputProps: {
            type: import("vue").PropType<import("tdesign-vue-next").TdInputProps>;
        };
        inputValue: {
            type: import("vue").PropType<string>;
            default: any;
        };
        defaultInputValue: {
            type: import("vue").PropType<string>;
        };
        keys: {
            type: import("vue").PropType<import("tdesign-vue-next").SelectKeysType>;
        };
        loading: BooleanConstructor;
        loadingText: {
            type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
        };
        max: {
            type: NumberConstructor;
            default: number;
        };
        minCollapsedNum: {
            type: NumberConstructor;
            default: number;
        };
        multiple: BooleanConstructor;
        options: {
            type: import("vue").PropType<import("tdesign-vue-next").SelectOption[]>;
            default: () => import("tdesign-vue-next").SelectOption[];
        };
        panelBottomContent: {
            type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
        };
        panelTopContent: {
            type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
        };
        placeholder: {
            type: StringConstructor;
            default: any;
        };
        popupProps: {
            type: import("vue").PropType<import("tdesign-vue-next").TdPopupProps>;
        };
        popupVisible: {
            type: BooleanConstructor;
            default: any;
        };
        defaultPopupVisible: BooleanConstructor;
        prefixIcon: {
            type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
        };
        readonly: BooleanConstructor;
        reserveKeyword: BooleanConstructor;
        scroll: {
            type: import("vue").PropType<import("tdesign-vue-next/es/common").InfinityScroll>;
        };
        selectInputProps: {
            type: import("vue").PropType<import("tdesign-vue-next").TdSelectInputProps>;
        };
        showArrow: {
            type: BooleanConstructor;
            default: boolean;
        };
        size: {
            type: import("vue").PropType<import("tdesign-vue-next/es/common").SizeEnum>;
            default: import("tdesign-vue-next/es/common").SizeEnum;
            validator(val: import("tdesign-vue-next/es/common").SizeEnum): boolean;
        };
        status: {
            type: import("vue").PropType<"default" | "error" | "success" | "warning">;
            validator(val: "default" | "error" | "success" | "warning"): boolean;
        };
        tagInputProps: {
            type: import("vue").PropType<import("tdesign-vue-next").TdTagInputProps>;
        };
        tagProps: {
            type: import("vue").PropType<import("tdesign-vue-next").TdTagProps>;
        };
        tips: {
            type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
        };
        value: {
            type: import("vue").PropType<SelectValue<import("tdesign-vue-next").SelectOption>>;
            default: any;
        };
        modelValue: {
            type: import("vue").PropType<SelectValue<import("tdesign-vue-next").SelectOption>>;
            default: any;
        };
        defaultValue: {
            type: import("vue").PropType<SelectValue<import("tdesign-vue-next").SelectOption>>;
        };
        valueDisplay: {
            type: import("vue").PropType<string | ((h: typeof import("vue").h, props: {
                value: SelectValue<import("tdesign-vue-next").SelectOption>;
                onClose: (index: number, item?: any) => void;
                displayValue?: SelectValue<import("tdesign-vue-next").SelectOption>;
            }) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
        };
        valueType: {
            type: import("vue").PropType<"object" | "value">;
            default: "object" | "value";
            validator(val: "object" | "value"): boolean;
        };
        onBlur: import("vue").PropType<(context: {
            value: SelectValue<import("tdesign-vue-next").SelectOption>;
            e: FocusEvent | KeyboardEvent;
        }) => void>;
        onChange: import("vue").PropType<(value: SelectValue<import("tdesign-vue-next").SelectOption>, context: {
            selectedOptions: import("tdesign-vue-next").SelectOption[];
            trigger: import("tdesign-vue-next").SelectValueChangeTrigger;
            e?: MouseEvent | KeyboardEvent;
        }) => void>;
        onClear: import("vue").PropType<(context: {
            e: MouseEvent;
        }) => void>;
        onCreate: import("vue").PropType<(value: string | number) => void>;
        onEnter: import("vue").PropType<(context: {
            inputValue: string;
            e: KeyboardEvent;
            value: SelectValue<import("tdesign-vue-next").SelectOption>;
        }) => void>;
        onFocus: import("vue").PropType<(context: {
            value: SelectValue<import("tdesign-vue-next").SelectOption>;
            e: FocusEvent | KeyboardEvent;
        }) => void>;
        onInputChange: import("vue").PropType<(value: string, context?: import("tdesign-vue-next").SelectInputValueChangeContext) => void>;
        onPopupVisibleChange: import("vue").PropType<(visible: boolean, context: import("tdesign-vue-next").PopupVisibleChangeContext) => void>;
        onRemove: import("vue").PropType<(options: import("tdesign-vue-next").SelectRemoveContext<import("tdesign-vue-next").SelectOption>) => void>;
        onSearch: import("vue").PropType<(filterWords: string) => void>;
        onVisibleChange: import("vue").PropType<(visible: boolean) => void>;
    }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
        max: number;
        value: any;
        loading: boolean;
        disabled: boolean;
        multiple: boolean;
        options: import("tdesign-vue-next").SelectOption[];
        size: import("tdesign-vue-next/es/common").SizeEnum;
        readonly: boolean;
        placeholder: string;
        modelValue: any;
        showArrow: boolean;
        autoWidth: boolean;
        clearable: boolean;
        inputValue: string;
        minCollapsedNum: number;
        borderless: boolean;
        popupVisible: boolean;
        reserveKeyword: boolean;
        valueType: "object" | "value";
        creatable: boolean;
        filterable: boolean;
        bordered: boolean;
        defaultPopupVisible: boolean;
    }, {}, string> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("@vue/runtime-core").Plugin;
    readonly TTag: {
        new (...args: any[]): {
            $: import("vue").ComponentInternalInstance;
            $data: {};
            $props: Partial<{
                disabled: boolean;
                size: import("tdesign-vue-next/es/common").SizeEnum;
                icon: (h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue;
                shape: "square" | "round" | "mark";
                variant: "outline" | "dark" | "light" | "light-outline";
                theme: "default" | "success" | "warning" | "primary" | "danger";
                closable: boolean;
            }> & Omit<Readonly<import("vue").ExtractPropTypes<{
                closable: BooleanConstructor;
                content: {
                    type: import("vue").PropType<string | number | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                default: {
                    type: import("vue").PropType<string | number | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                disabled: BooleanConstructor;
                icon: {
                    type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
                    default: any;
                };
                maxWidth: {
                    type: import("vue").PropType<string | number>;
                };
                shape: {
                    type: import("vue").PropType<"square" | "round" | "mark">;
                    default: "square" | "round" | "mark";
                    validator(val: "square" | "round" | "mark"): boolean;
                };
                size: {
                    type: import("vue").PropType<import("tdesign-vue-next/es/common").SizeEnum>;
                    default: import("tdesign-vue-next/es/common").SizeEnum;
                    validator(val: import("tdesign-vue-next/es/common").SizeEnum): boolean;
                };
                theme: {
                    type: import("vue").PropType<"default" | "success" | "warning" | "primary" | "danger">;
                    default: "default" | "success" | "warning" | "primary" | "danger";
                    validator(val: "default" | "success" | "warning" | "primary" | "danger"): boolean;
                };
                variant: {
                    type: import("vue").PropType<"outline" | "dark" | "light" | "light-outline">;
                    default: "outline" | "dark" | "light" | "light-outline";
                    validator(val: "outline" | "dark" | "light" | "light-outline"): boolean;
                };
                onClick: import("vue").PropType<(context: {
                    e: MouseEvent;
                }) => void>;
                onClose: import("vue").PropType<(context: {
                    e: MouseEvent;
                }) => void>;
            }>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "disabled" | "size" | "theme" | "icon" | "closable" | "shape" | "variant">;
            $attrs: {
                [x: string]: unknown;
            };
            $refs: {
                [x: string]: unknown;
            };
            $slots: Readonly<{
                [name: string]: import("vue").Slot;
            }>;
            $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>;
            $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>;
            $emit: (event: string, ...args: any[]) => void;
            $el: any;
            $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                closable: BooleanConstructor;
                content: {
                    type: import("vue").PropType<string | number | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                default: {
                    type: import("vue").PropType<string | number | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                disabled: BooleanConstructor;
                icon: {
                    type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
                    default: any;
                };
                maxWidth: {
                    type: import("vue").PropType<string | number>;
                };
                shape: {
                    type: import("vue").PropType<"square" | "round" | "mark">;
                    default: "square" | "round" | "mark";
                    validator(val: "square" | "round" | "mark"): boolean;
                };
                size: {
                    type: import("vue").PropType<import("tdesign-vue-next/es/common").SizeEnum>;
                    default: import("tdesign-vue-next/es/common").SizeEnum;
                    validator(val: import("tdesign-vue-next/es/common").SizeEnum): boolean;
                };
                theme: {
                    type: import("vue").PropType<"default" | "success" | "warning" | "primary" | "danger">;
                    default: "default" | "success" | "warning" | "primary" | "danger";
                    validator(val: "default" | "success" | "warning" | "primary" | "danger"): boolean;
                };
                variant: {
                    type: import("vue").PropType<"outline" | "dark" | "light" | "light-outline">;
                    default: "outline" | "dark" | "light" | "light-outline";
                    validator(val: "outline" | "dark" | "light" | "light-outline"): boolean;
                };
                onClick: import("vue").PropType<(context: {
                    e: MouseEvent;
                }) => void>;
                onClose: import("vue").PropType<(context: {
                    e: MouseEvent;
                }) => void>;
            }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
                disabled: boolean;
                size: import("tdesign-vue-next/es/common").SizeEnum;
                icon: (h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue;
                shape: "square" | "round" | "mark";
                variant: "outline" | "dark" | "light" | "light-outline";
                theme: "default" | "success" | "warning" | "primary" | "danger";
                closable: boolean;
            }, {}, string> & {
                beforeCreate?: (() => void) | (() => void)[];
                created?: (() => void) | (() => void)[];
                beforeMount?: (() => void) | (() => void)[];
                mounted?: (() => void) | (() => void)[];
                beforeUpdate?: (() => void) | (() => void)[];
                updated?: (() => void) | (() => void)[];
                activated?: (() => void) | (() => void)[];
                deactivated?: (() => void) | (() => void)[];
                beforeDestroy?: (() => void) | (() => void)[];
                beforeUnmount?: (() => void) | (() => void)[];
                destroyed?: (() => void) | (() => void)[];
                unmounted?: (() => void) | (() => void)[];
                renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
                renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
                errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>, info: string) => boolean | void)[];
            };
            $forceUpdate: () => void;
            $nextTick: typeof import("vue").nextTick;
            $watch<T_1 extends string | ((...args: any) => any)>(source: T_1, cb: T_1 extends (...args: any) => infer R_1 ? (args_0: R_1, args_1: R_1) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
        } & Readonly<import("vue").ExtractPropTypes<{
            closable: BooleanConstructor;
            content: {
                type: import("vue").PropType<string | number | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            };
            default: {
                type: import("vue").PropType<string | number | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            };
            disabled: BooleanConstructor;
            icon: {
                type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
                default: any;
            };
            maxWidth: {
                type: import("vue").PropType<string | number>;
            };
            shape: {
                type: import("vue").PropType<"square" | "round" | "mark">;
                default: "square" | "round" | "mark";
                validator(val: "square" | "round" | "mark"): boolean;
            };
            size: {
                type: import("vue").PropType<import("tdesign-vue-next/es/common").SizeEnum>;
                default: import("tdesign-vue-next/es/common").SizeEnum;
                validator(val: import("tdesign-vue-next/es/common").SizeEnum): boolean;
            };
            theme: {
                type: import("vue").PropType<"default" | "success" | "warning" | "primary" | "danger">;
                default: "default" | "success" | "warning" | "primary" | "danger";
                validator(val: "default" | "success" | "warning" | "primary" | "danger"): boolean;
            };
            variant: {
                type: import("vue").PropType<"outline" | "dark" | "light" | "light-outline">;
                default: "outline" | "dark" | "light" | "light-outline";
                validator(val: "outline" | "dark" | "light" | "light-outline"): boolean;
            };
            onClick: import("vue").PropType<(context: {
                e: MouseEvent;
            }) => void>;
            onClose: import("vue").PropType<(context: {
                e: MouseEvent;
            }) => void>;
        }>> & import("vue").ShallowUnwrapRef<() => JSX.Element> & import("vue").ComponentCustomProperties;
        __isFragment?: never;
        __isTeleport?: never;
        __isSuspense?: never;
    } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
        closable: BooleanConstructor;
        content: {
            type: import("vue").PropType<string | number | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
        };
        default: {
            type: import("vue").PropType<string | number | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
        };
        disabled: BooleanConstructor;
        icon: {
            type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
            default: any;
        };
        maxWidth: {
            type: import("vue").PropType<string | number>;
        };
        shape: {
            type: import("vue").PropType<"square" | "round" | "mark">;
            default: "square" | "round" | "mark";
            validator(val: "square" | "round" | "mark"): boolean;
        };
        size: {
            type: import("vue").PropType<import("tdesign-vue-next/es/common").SizeEnum>;
            default: import("tdesign-vue-next/es/common").SizeEnum;
            validator(val: import("tdesign-vue-next/es/common").SizeEnum): boolean;
        };
        theme: {
            type: import("vue").PropType<"default" | "success" | "warning" | "primary" | "danger">;
            default: "default" | "success" | "warning" | "primary" | "danger";
            validator(val: "default" | "success" | "warning" | "primary" | "danger"): boolean;
        };
        variant: {
            type: import("vue").PropType<"outline" | "dark" | "light" | "light-outline">;
            default: "outline" | "dark" | "light" | "light-outline";
            validator(val: "outline" | "dark" | "light" | "light-outline"): boolean;
        };
        onClick: import("vue").PropType<(context: {
            e: MouseEvent;
        }) => void>;
        onClose: import("vue").PropType<(context: {
            e: MouseEvent;
        }) => void>;
    }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
        disabled: boolean;
        size: import("tdesign-vue-next/es/common").SizeEnum;
        icon: (h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue;
        shape: "square" | "round" | "mark";
        variant: "outline" | "dark" | "light" | "light-outline";
        theme: "default" | "success" | "warning" | "primary" | "danger";
        closable: boolean;
    }, {}, string> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("@vue/runtime-core").Plugin;
    readonly TButton: {
        new (...args: any[]): {
            $: import("vue").ComponentInternalInstance;
            $data: {};
            $props: Partial<{
                type: "submit" | "button" | "reset";
                block: boolean;
                loading: boolean;
                disabled: boolean;
                size: import("tdesign-vue-next/es/common").SizeEnum;
                href: string;
                shape: "square" | "round" | "circle" | "rectangle";
                variant: "outline" | "base" | "text" | "dashed";
                ghost: boolean;
            }> & Omit<Readonly<import("vue").ExtractPropTypes<{
                block: BooleanConstructor;
                content: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                default: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                disabled: BooleanConstructor;
                ghost: BooleanConstructor;
                href: {
                    type: StringConstructor;
                    default: string;
                };
                icon: {
                    type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
                };
                loading: BooleanConstructor;
                shape: {
                    type: import("vue").PropType<"square" | "round" | "circle" | "rectangle">;
                    default: "square" | "round" | "circle" | "rectangle";
                    validator(val: "square" | "round" | "circle" | "rectangle"): boolean;
                };
                size: {
                    type: import("vue").PropType<import("tdesign-vue-next/es/common").SizeEnum>;
                    default: import("tdesign-vue-next/es/common").SizeEnum;
                    validator(val: import("tdesign-vue-next/es/common").SizeEnum): boolean;
                };
                suffix: {
                    type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
                };
                tag: {
                    type: import("vue").PropType<"button" | "a" | "div">;
                    validator(val: "button" | "a" | "div"): boolean;
                };
                theme: {
                    type: import("vue").PropType<"default" | "success" | "warning" | "primary" | "danger">;
                    validator(val: "default" | "success" | "warning" | "primary" | "danger"): boolean;
                };
                type: {
                    type: import("vue").PropType<"submit" | "button" | "reset">;
                    default: "submit" | "button" | "reset";
                    validator(val: "submit" | "button" | "reset"): boolean;
                };
                variant: {
                    type: import("vue").PropType<"outline" | "base" | "text" | "dashed">;
                    default: "outline" | "base" | "text" | "dashed";
                    validator(val: "outline" | "base" | "text" | "dashed"): boolean;
                };
                onClick: import("vue").PropType<(e: MouseEvent) => void>;
            }>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "type" | "disabled" | "ghost" | "size" | "loading" | "shape" | "variant" | "block" | "href">;
            $attrs: {
                [x: string]: unknown;
            };
            $refs: {
                [x: string]: unknown;
            };
            $slots: Readonly<{
                [name: string]: import("vue").Slot;
            }>;
            $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>;
            $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>;
            $emit: (event: string, ...args: any[]) => void;
            $el: any;
            $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                block: BooleanConstructor;
                content: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                default: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                disabled: BooleanConstructor;
                ghost: BooleanConstructor;
                href: {
                    type: StringConstructor;
                    default: string;
                };
                icon: {
                    type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
                };
                loading: BooleanConstructor;
                shape: {
                    type: import("vue").PropType<"square" | "round" | "circle" | "rectangle">;
                    default: "square" | "round" | "circle" | "rectangle";
                    validator(val: "square" | "round" | "circle" | "rectangle"): boolean;
                };
                size: {
                    type: import("vue").PropType<import("tdesign-vue-next/es/common").SizeEnum>;
                    default: import("tdesign-vue-next/es/common").SizeEnum;
                    validator(val: import("tdesign-vue-next/es/common").SizeEnum): boolean;
                };
                suffix: {
                    type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
                };
                tag: {
                    type: import("vue").PropType<"button" | "a" | "div">;
                    validator(val: "button" | "a" | "div"): boolean;
                };
                theme: {
                    type: import("vue").PropType<"default" | "success" | "warning" | "primary" | "danger">;
                    validator(val: "default" | "success" | "warning" | "primary" | "danger"): boolean;
                };
                type: {
                    type: import("vue").PropType<"submit" | "button" | "reset">;
                    default: "submit" | "button" | "reset";
                    validator(val: "submit" | "button" | "reset"): boolean;
                };
                variant: {
                    type: import("vue").PropType<"outline" | "base" | "text" | "dashed">;
                    default: "outline" | "base" | "text" | "dashed";
                    validator(val: "outline" | "base" | "text" | "dashed"): boolean;
                };
                onClick: import("vue").PropType<(e: MouseEvent) => void>;
            }>>, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
                type: "submit" | "button" | "reset";
                block: boolean;
                loading: boolean;
                disabled: boolean;
                size: import("tdesign-vue-next/es/common").SizeEnum;
                href: string;
                shape: "square" | "round" | "circle" | "rectangle";
                variant: "outline" | "base" | "text" | "dashed";
                ghost: boolean;
            }, {}, string> & {
                beforeCreate?: (() => void) | (() => void)[];
                created?: (() => void) | (() => void)[];
                beforeMount?: (() => void) | (() => void)[];
                mounted?: (() => void) | (() => void)[];
                beforeUpdate?: (() => void) | (() => void)[];
                updated?: (() => void) | (() => void)[];
                activated?: (() => void) | (() => void)[];
                deactivated?: (() => void) | (() => void)[];
                beforeDestroy?: (() => void) | (() => void)[];
                beforeUnmount?: (() => void) | (() => void)[];
                destroyed?: (() => void) | (() => void)[];
                unmounted?: (() => void) | (() => void)[];
                renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
                renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
                errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>, info: string) => boolean | void)[];
            };
            $forceUpdate: () => void;
            $nextTick: typeof import("vue").nextTick;
            $watch<T_2 extends string | ((...args: any) => any)>(source: T_2, cb: T_2 extends (...args: any) => infer R_2 ? (args_0: R_2, args_1: R_2) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
        } & Readonly<import("vue").ExtractPropTypes<{
            block: BooleanConstructor;
            content: {
                type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            };
            default: {
                type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            };
            disabled: BooleanConstructor;
            ghost: BooleanConstructor;
            href: {
                type: StringConstructor;
                default: string;
            };
            icon: {
                type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
            };
            loading: BooleanConstructor;
            shape: {
                type: import("vue").PropType<"square" | "round" | "circle" | "rectangle">;
                default: "square" | "round" | "circle" | "rectangle";
                validator(val: "square" | "round" | "circle" | "rectangle"): boolean;
            };
            size: {
                type: import("vue").PropType<import("tdesign-vue-next/es/common").SizeEnum>;
                default: import("tdesign-vue-next/es/common").SizeEnum;
                validator(val: import("tdesign-vue-next/es/common").SizeEnum): boolean;
            };
            suffix: {
                type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
            };
            tag: {
                type: import("vue").PropType<"button" | "a" | "div">;
                validator(val: "button" | "a" | "div"): boolean;
            };
            theme: {
                type: import("vue").PropType<"default" | "success" | "warning" | "primary" | "danger">;
                validator(val: "default" | "success" | "warning" | "primary" | "danger"): boolean;
            };
            type: {
                type: import("vue").PropType<"submit" | "button" | "reset">;
                default: "submit" | "button" | "reset";
                validator(val: "submit" | "button" | "reset"): boolean;
            };
            variant: {
                type: import("vue").PropType<"outline" | "base" | "text" | "dashed">;
                default: "outline" | "base" | "text" | "dashed";
                validator(val: "outline" | "base" | "text" | "dashed"): boolean;
            };
            onClick: import("vue").PropType<(e: MouseEvent) => void>;
        }>> & import("vue").ShallowUnwrapRef<() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>> & import("vue").ComponentCustomProperties;
        __isFragment?: never;
        __isTeleport?: never;
        __isSuspense?: never;
    } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
        block: BooleanConstructor;
        content: {
            type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
        };
        default: {
            type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
        };
        disabled: BooleanConstructor;
        ghost: BooleanConstructor;
        href: {
            type: StringConstructor;
            default: string;
        };
        icon: {
            type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
        };
        loading: BooleanConstructor;
        shape: {
            type: import("vue").PropType<"square" | "round" | "circle" | "rectangle">;
            default: "square" | "round" | "circle" | "rectangle";
            validator(val: "square" | "round" | "circle" | "rectangle"): boolean;
        };
        size: {
            type: import("vue").PropType<import("tdesign-vue-next/es/common").SizeEnum>;
            default: import("tdesign-vue-next/es/common").SizeEnum;
            validator(val: import("tdesign-vue-next/es/common").SizeEnum): boolean;
        };
        suffix: {
            type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
        };
        tag: {
            type: import("vue").PropType<"button" | "a" | "div">;
            validator(val: "button" | "a" | "div"): boolean;
        };
        theme: {
            type: import("vue").PropType<"default" | "success" | "warning" | "primary" | "danger">;
            validator(val: "default" | "success" | "warning" | "primary" | "danger"): boolean;
        };
        type: {
            type: import("vue").PropType<"submit" | "button" | "reset">;
            default: "submit" | "button" | "reset";
            validator(val: "submit" | "button" | "reset"): boolean;
        };
        variant: {
            type: import("vue").PropType<"outline" | "base" | "text" | "dashed">;
            default: "outline" | "base" | "text" | "dashed";
            validator(val: "outline" | "base" | "text" | "dashed"): boolean;
        };
        onClick: import("vue").PropType<(e: MouseEvent) => void>;
    }>>, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
        type: "submit" | "button" | "reset";
        block: boolean;
        loading: boolean;
        disabled: boolean;
        size: import("tdesign-vue-next/es/common").SizeEnum;
        href: string;
        shape: "square" | "round" | "circle" | "rectangle";
        variant: "outline" | "base" | "text" | "dashed";
        ghost: boolean;
    }, {}, string> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("@vue/runtime-core").Plugin;
    readonly TInput: {
        new (...args: any[]): {
            $: import("vue").ComponentInternalInstance;
            $data: {};
            $props: Partial<{
                type: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel";
                name: string;
                value: string;
                autocomplete: string;
                autofocus: boolean;
                disabled: boolean;
                size: import("tdesign-vue-next/es/common").SizeEnum;
                readonly: boolean;
                status: "default" | "error" | "success" | "warning";
                placeholder: string;
                align: "center" | "left" | "right";
                modelValue: string;
                defaultValue: string;
                allowInputOverMax: boolean;
                showInput: boolean;
                keepWrapperWidth: boolean;
                allowTriggerBlur: boolean;
                autoWidth: boolean;
                clearable: boolean;
                showClearIconOnEmpty: boolean;
                showLimitNumber: boolean;
            }> & Omit<Readonly<import("vue").ExtractPropTypes<{
                showInput: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                keepWrapperWidth: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                allowTriggerBlur: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                align: {
                    type: import("vue").PropType<"center" | "left" | "right">;
                    default: "center" | "left" | "right";
                    validator(val: "center" | "left" | "right"): boolean;
                };
                allowInputOverMax: BooleanConstructor;
                autoWidth: BooleanConstructor;
                autocomplete: {
                    type: StringConstructor;
                    default: any;
                };
                autofocus: BooleanConstructor;
                clearable: BooleanConstructor;
                disabled: BooleanConstructor;
                format: {
                    type: import("vue").PropType<import("tdesign-vue-next").InputFormatType>;
                };
                inputClass: {
                    type: import("vue").PropType<import("tdesign-vue-next/es/common").ClassName>;
                };
                label: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                maxcharacter: {
                    type: NumberConstructor;
                };
                maxlength: {
                    type: NumberConstructor;
                };
                name: {
                    type: StringConstructor;
                    default: string;
                };
                placeholder: {
                    type: StringConstructor;
                    default: any;
                };
                prefixIcon: {
                    type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
                };
                readonly: BooleanConstructor;
                showClearIconOnEmpty: BooleanConstructor;
                showLimitNumber: BooleanConstructor;
                size: {
                    type: import("vue").PropType<import("tdesign-vue-next/es/common").SizeEnum>;
                    default: import("tdesign-vue-next/es/common").SizeEnum;
                    validator(val: import("tdesign-vue-next/es/common").SizeEnum): boolean;
                };
                status: {
                    type: import("vue").PropType<"default" | "error" | "success" | "warning">;
                    default: "default" | "error" | "success" | "warning";
                    validator(val: "default" | "error" | "success" | "warning"): boolean;
                };
                suffix: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                suffixIcon: {
                    type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
                };
                tips: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                type: {
                    type: import("vue").PropType<"number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel">;
                    default: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel";
                    validator(val: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel"): boolean;
                };
                value: {
                    type: import("vue").PropType<string>;
                    default: any;
                };
                modelValue: {
                    type: import("vue").PropType<string>;
                    default: any;
                };
                defaultValue: {
                    type: import("vue").PropType<string>;
                    default: string;
                };
                onBlur: import("vue").PropType<(value: string, context: {
                    e: FocusEvent;
                }) => void>;
                onChange: import("vue").PropType<(value: string, context?: {
                    e?: MouseEvent | CompositionEvent | InputEvent;
                    trigger: "initial" | "clear" | "input";
                }) => void>;
                onClear: import("vue").PropType<(context: {
                    e: MouseEvent;
                }) => void>;
                onClick: import("vue").PropType<(context: {
                    e: MouseEvent;
                }) => void>;
                onCompositionend: import("vue").PropType<(value: string, context: {
                    e: CompositionEvent;
                }) => void>;
                onCompositionstart: import("vue").PropType<(value: string, context: {
                    e: CompositionEvent;
                }) => void>;
                onEnter: import("vue").PropType<(value: string, context: {
                    e: KeyboardEvent;
                }) => void>;
                onFocus: import("vue").PropType<(value: string, context: {
                    e: FocusEvent;
                }) => void>;
                onKeydown: import("vue").PropType<(value: string, context: {
                    e: KeyboardEvent;
                }) => void>;
                onKeypress: import("vue").PropType<(value: string, context: {
                    e: KeyboardEvent;
                }) => void>;
                onKeyup: import("vue").PropType<(value: string, context: {
                    e: KeyboardEvent;
                }) => void>;
                onMouseenter: import("vue").PropType<(context: {
                    e: MouseEvent;
                }) => void>;
                onMouseleave: import("vue").PropType<(context: {
                    e: MouseEvent;
                }) => void>;
                onPaste: import("vue").PropType<(context: {
                    e: ClipboardEvent;
                    pasteValue: string;
                }) => void>;
                onValidate: import("vue").PropType<(context: {
                    error?: "exceed-maximum" | "below-minimum";
                }) => void>;
                onWheel: import("vue").PropType<(context: {
                    e: WheelEvent;
                }) => void>;
            }>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "name" | "value" | "type" | "disabled" | "size" | "modelValue" | "autoWidth" | "clearable" | "placeholder" | "readonly" | "status" | "defaultValue" | "showInput" | "keepWrapperWidth" | "allowTriggerBlur" | "align" | "allowInputOverMax" | "autocomplete" | "autofocus" | "showClearIconOnEmpty" | "showLimitNumber">;
            $attrs: {
                [x: string]: unknown;
            };
            $refs: {
                [x: string]: unknown;
            };
            $slots: Readonly<{
                [name: string]: import("vue").Slot;
            }>;
            $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>;
            $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>;
            $emit: (event: string, ...args: any[]) => void;
            $el: any;
            $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                showInput: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                keepWrapperWidth: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                allowTriggerBlur: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                align: {
                    type: import("vue").PropType<"center" | "left" | "right">;
                    default: "center" | "left" | "right";
                    validator(val: "center" | "left" | "right"): boolean;
                };
                allowInputOverMax: BooleanConstructor;
                autoWidth: BooleanConstructor;
                autocomplete: {
                    type: StringConstructor;
                    default: any;
                };
                autofocus: BooleanConstructor;
                clearable: BooleanConstructor;
                disabled: BooleanConstructor;
                format: {
                    type: import("vue").PropType<import("tdesign-vue-next").InputFormatType>;
                };
                inputClass: {
                    type: import("vue").PropType<import("tdesign-vue-next/es/common").ClassName>;
                };
                label: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                maxcharacter: {
                    type: NumberConstructor;
                };
                maxlength: {
                    type: NumberConstructor;
                };
                name: {
                    type: StringConstructor;
                    default: string;
                };
                placeholder: {
                    type: StringConstructor;
                    default: any;
                };
                prefixIcon: {
                    type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
                };
                readonly: BooleanConstructor;
                showClearIconOnEmpty: BooleanConstructor;
                showLimitNumber: BooleanConstructor;
                size: {
                    type: import("vue").PropType<import("tdesign-vue-next/es/common").SizeEnum>;
                    default: import("tdesign-vue-next/es/common").SizeEnum;
                    validator(val: import("tdesign-vue-next/es/common").SizeEnum): boolean;
                };
                status: {
                    type: import("vue").PropType<"default" | "error" | "success" | "warning">;
                    default: "default" | "error" | "success" | "warning";
                    validator(val: "default" | "error" | "success" | "warning"): boolean;
                };
                suffix: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                suffixIcon: {
                    type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
                };
                tips: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                type: {
                    type: import("vue").PropType<"number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel">;
                    default: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel";
                    validator(val: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel"): boolean;
                };
                value: {
                    type: import("vue").PropType<string>;
                    default: any;
                };
                modelValue: {
                    type: import("vue").PropType<string>;
                    default: any;
                };
                defaultValue: {
                    type: import("vue").PropType<string>;
                    default: string;
                };
                onBlur: import("vue").PropType<(value: string, context: {
                    e: FocusEvent;
                }) => void>;
                onChange: import("vue").PropType<(value: string, context?: {
                    e?: MouseEvent | CompositionEvent | InputEvent;
                    trigger: "initial" | "clear" | "input";
                }) => void>;
                onClear: import("vue").PropType<(context: {
                    e: MouseEvent;
                }) => void>;
                onClick: import("vue").PropType<(context: {
                    e: MouseEvent;
                }) => void>;
                onCompositionend: import("vue").PropType<(value: string, context: {
                    e: CompositionEvent;
                }) => void>;
                onCompositionstart: import("vue").PropType<(value: string, context: {
                    e: CompositionEvent;
                }) => void>;
                onEnter: import("vue").PropType<(value: string, context: {
                    e: KeyboardEvent;
                }) => void>;
                onFocus: import("vue").PropType<(value: string, context: {
                    e: FocusEvent;
                }) => void>;
                onKeydown: import("vue").PropType<(value: string, context: {
                    e: KeyboardEvent;
                }) => void>;
                onKeypress: import("vue").PropType<(value: string, context: {
                    e: KeyboardEvent;
                }) => void>;
                onKeyup: import("vue").PropType<(value: string, context: {
                    e: KeyboardEvent;
                }) => void>;
                onMouseenter: import("vue").PropType<(context: {
                    e: MouseEvent;
                }) => void>;
                onMouseleave: import("vue").PropType<(context: {
                    e: MouseEvent;
                }) => void>;
                onPaste: import("vue").PropType<(context: {
                    e: ClipboardEvent;
                    pasteValue: string;
                }) => void>;
                onValidate: import("vue").PropType<(context: {
                    error?: "exceed-maximum" | "below-minimum";
                }) => void>;
                onWheel: import("vue").PropType<(context: {
                    e: WheelEvent;
                }) => void>;
            }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
                type: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel";
                name: string;
                value: string;
                autocomplete: string;
                autofocus: boolean;
                disabled: boolean;
                size: import("tdesign-vue-next/es/common").SizeEnum;
                readonly: boolean;
                status: "default" | "error" | "success" | "warning";
                placeholder: string;
                align: "center" | "left" | "right";
                modelValue: string;
                defaultValue: string;
                allowInputOverMax: boolean;
                showInput: boolean;
                keepWrapperWidth: boolean;
                allowTriggerBlur: boolean;
                autoWidth: boolean;
                clearable: boolean;
                showClearIconOnEmpty: boolean;
                showLimitNumber: boolean;
            }, {}, string> & {
                beforeCreate?: (() => void) | (() => void)[];
                created?: (() => void) | (() => void)[];
                beforeMount?: (() => void) | (() => void)[];
                mounted?: (() => void) | (() => void)[];
                beforeUpdate?: (() => void) | (() => void)[];
                updated?: (() => void) | (() => void)[];
                activated?: (() => void) | (() => void)[];
                deactivated?: (() => void) | (() => void)[];
                beforeDestroy?: (() => void) | (() => void)[];
                beforeUnmount?: (() => void) | (() => void)[];
                destroyed?: (() => void) | (() => void)[];
                unmounted?: (() => void) | (() => void)[];
                renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
                renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
                errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>, info: string) => boolean | void)[];
            };
            $forceUpdate: () => void;
            $nextTick: typeof import("vue").nextTick;
            $watch<T_3 extends string | ((...args: any) => any)>(source: T_3, cb: T_3 extends (...args: any) => infer R_3 ? (args_0: R_3, args_1: R_3) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
        } & Readonly<import("vue").ExtractPropTypes<{
            showInput: {
                type: BooleanConstructor;
                default: boolean;
            };
            keepWrapperWidth: {
                type: BooleanConstructor;
                default: boolean;
            };
            allowTriggerBlur: {
                type: BooleanConstructor;
                default: boolean;
            };
            align: {
                type: import("vue").PropType<"center" | "left" | "right">;
                default: "center" | "left" | "right";
                validator(val: "center" | "left" | "right"): boolean;
            };
            allowInputOverMax: BooleanConstructor;
            autoWidth: BooleanConstructor;
            autocomplete: {
                type: StringConstructor;
                default: any;
            };
            autofocus: BooleanConstructor;
            clearable: BooleanConstructor;
            disabled: BooleanConstructor;
            format: {
                type: import("vue").PropType<import("tdesign-vue-next").InputFormatType>;
            };
            inputClass: {
                type: import("vue").PropType<import("tdesign-vue-next/es/common").ClassName>;
            };
            label: {
                type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            };
            maxcharacter: {
                type: NumberConstructor;
            };
            maxlength: {
                type: NumberConstructor;
            };
            name: {
                type: StringConstructor;
                default: string;
            };
            placeholder: {
                type: StringConstructor;
                default: any;
            };
            prefixIcon: {
                type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
            };
            readonly: BooleanConstructor;
            showClearIconOnEmpty: BooleanConstructor;
            showLimitNumber: BooleanConstructor;
            size: {
                type: import("vue").PropType<import("tdesign-vue-next/es/common").SizeEnum>;
                default: import("tdesign-vue-next/es/common").SizeEnum;
                validator(val: import("tdesign-vue-next/es/common").SizeEnum): boolean;
            };
            status: {
                type: import("vue").PropType<"default" | "error" | "success" | "warning">;
                default: "default" | "error" | "success" | "warning";
                validator(val: "default" | "error" | "success" | "warning"): boolean;
            };
            suffix: {
                type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            };
            suffixIcon: {
                type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
            };
            tips: {
                type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            };
            type: {
                type: import("vue").PropType<"number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel">;
                default: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel";
                validator(val: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel"): boolean;
            };
            value: {
                type: import("vue").PropType<string>;
                default: any;
            };
            modelValue: {
                type: import("vue").PropType<string>;
                default: any;
            };
            defaultValue: {
                type: import("vue").PropType<string>;
                default: string;
            };
            onBlur: import("vue").PropType<(value: string, context: {
                e: FocusEvent;
            }) => void>;
            onChange: import("vue").PropType<(value: string, context?: {
                e?: MouseEvent | CompositionEvent | InputEvent;
                trigger: "initial" | "clear" | "input";
            }) => void>;
            onClear: import("vue").PropType<(context: {
                e: MouseEvent;
            }) => void>;
            onClick: import("vue").PropType<(context: {
                e: MouseEvent;
            }) => void>;
            onCompositionend: import("vue").PropType<(value: string, context: {
                e: CompositionEvent;
            }) => void>;
            onCompositionstart: import("vue").PropType<(value: string, context: {
                e: CompositionEvent;
            }) => void>;
            onEnter: import("vue").PropType<(value: string, context: {
                e: KeyboardEvent;
            }) => void>;
            onFocus: import("vue").PropType<(value: string, context: {
                e: FocusEvent;
            }) => void>;
            onKeydown: import("vue").PropType<(value: string, context: {
                e: KeyboardEvent;
            }) => void>;
            onKeypress: import("vue").PropType<(value: string, context: {
                e: KeyboardEvent;
            }) => void>;
            onKeyup: import("vue").PropType<(value: string, context: {
                e: KeyboardEvent;
            }) => void>;
            onMouseenter: import("vue").PropType<(context: {
                e: MouseEvent;
            }) => void>;
            onMouseleave: import("vue").PropType<(context: {
                e: MouseEvent;
            }) => void>;
            onPaste: import("vue").PropType<(context: {
                e: ClipboardEvent;
                pasteValue: string;
            }) => void>;
            onValidate: import("vue").PropType<(context: {
                error?: "exceed-maximum" | "below-minimum";
            }) => void>;
            onWheel: import("vue").PropType<(context: {
                e: WheelEvent;
            }) => void>;
        }>> & import("vue").ShallowUnwrapRef<() => JSX.Element> & import("vue").ComponentCustomProperties;
        __isFragment?: never;
        __isTeleport?: never;
        __isSuspense?: never;
    } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
        showInput: {
            type: BooleanConstructor;
            default: boolean;
        };
        keepWrapperWidth: {
            type: BooleanConstructor;
            default: boolean;
        };
        allowTriggerBlur: {
            type: BooleanConstructor;
            default: boolean;
        };
        align: {
            type: import("vue").PropType<"center" | "left" | "right">;
            default: "center" | "left" | "right";
            validator(val: "center" | "left" | "right"): boolean;
        };
        allowInputOverMax: BooleanConstructor;
        autoWidth: BooleanConstructor;
        autocomplete: {
            type: StringConstructor;
            default: any;
        };
        autofocus: BooleanConstructor;
        clearable: BooleanConstructor;
        disabled: BooleanConstructor;
        format: {
            type: import("vue").PropType<import("tdesign-vue-next").InputFormatType>;
        };
        inputClass: {
            type: import("vue").PropType<import("tdesign-vue-next/es/common").ClassName>;
        };
        label: {
            type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
        };
        maxcharacter: {
            type: NumberConstructor;
        };
        maxlength: {
            type: NumberConstructor;
        };
        name: {
            type: StringConstructor;
            default: string;
        };
        placeholder: {
            type: StringConstructor;
            default: any;
        };
        prefixIcon: {
            type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
        };
        readonly: BooleanConstructor;
        showClearIconOnEmpty: BooleanConstructor;
        showLimitNumber: BooleanConstructor;
        size: {
            type: import("vue").PropType<import("tdesign-vue-next/es/common").SizeEnum>;
            default: import("tdesign-vue-next/es/common").SizeEnum;
            validator(val: import("tdesign-vue-next/es/common").SizeEnum): boolean;
        };
        status: {
            type: import("vue").PropType<"default" | "error" | "success" | "warning">;
            default: "default" | "error" | "success" | "warning";
            validator(val: "default" | "error" | "success" | "warning"): boolean;
        };
        suffix: {
            type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
        };
        suffixIcon: {
            type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
        };
        tips: {
            type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
        };
        type: {
            type: import("vue").PropType<"number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel">;
            default: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel";
            validator(val: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel"): boolean;
        };
        value: {
            type: import("vue").PropType<string>;
            default: any;
        };
        modelValue: {
            type: import("vue").PropType<string>;
            default: any;
        };
        defaultValue: {
            type: import("vue").PropType<string>;
            default: string;
        };
        onBlur: import("vue").PropType<(value: string, context: {
            e: FocusEvent;
        }) => void>;
        onChange: import("vue").PropType<(value: string, context?: {
            e?: MouseEvent | CompositionEvent | InputEvent;
            trigger: "initial" | "clear" | "input";
        }) => void>;
        onClear: import("vue").PropType<(context: {
            e: MouseEvent;
        }) => void>;
        onClick: import("vue").PropType<(context: {
            e: MouseEvent;
        }) => void>;
        onCompositionend: import("vue").PropType<(value: string, context: {
            e: CompositionEvent;
        }) => void>;
        onCompositionstart: import("vue").PropType<(value: string, context: {
            e: CompositionEvent;
        }) => void>;
        onEnter: import("vue").PropType<(value: string, context: {
            e: KeyboardEvent;
        }) => void>;
        onFocus: import("vue").PropType<(value: string, context: {
            e: FocusEvent;
        }) => void>;
        onKeydown: import("vue").PropType<(value: string, context: {
            e: KeyboardEvent;
        }) => void>;
        onKeypress: import("vue").PropType<(value: string, context: {
            e: KeyboardEvent;
        }) => void>;
        onKeyup: import("vue").PropType<(value: string, context: {
            e: KeyboardEvent;
        }) => void>;
        onMouseenter: import("vue").PropType<(context: {
            e: MouseEvent;
        }) => void>;
        onMouseleave: import("vue").PropType<(context: {
            e: MouseEvent;
        }) => void>;
        onPaste: import("vue").PropType<(context: {
            e: ClipboardEvent;
            pasteValue: string;
        }) => void>;
        onValidate: import("vue").PropType<(context: {
            error?: "exceed-maximum" | "below-minimum";
        }) => void>;
        onWheel: import("vue").PropType<(context: {
            e: WheelEvent;
        }) => void>;
    }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
        type: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel";
        name: string;
        value: string;
        autocomplete: string;
        autofocus: boolean;
        disabled: boolean;
        size: import("tdesign-vue-next/es/common").SizeEnum;
        readonly: boolean;
        status: "default" | "error" | "success" | "warning";
        placeholder: string;
        align: "center" | "left" | "right";
        modelValue: string;
        defaultValue: string;
        allowInputOverMax: boolean;
        showInput: boolean;
        keepWrapperWidth: boolean;
        allowTriggerBlur: boolean;
        autoWidth: boolean;
        clearable: boolean;
        showClearIconOnEmpty: boolean;
        showLimitNumber: boolean;
    }, {}, string> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("@vue/runtime-core").Plugin;
    readonly TForm: {
        new (...args: any[]): {
            $: import("vue").ComponentInternalInstance;
            $data: {};
            $props: Partial<{
                data: {};
                disabled: boolean;
                layout: "inline" | "vertical";
                showErrorMessage: boolean;
                labelAlign: "left" | "right" | "top";
                labelWidth: string | number;
                statusIcon: boolean | ((h: typeof import("vue").h, props: import("tdesign-vue-next").TdFormItemProps) => import("tdesign-vue-next/es/common").SlotReturnValue);
                requiredMark: boolean;
                colon: boolean;
                resetType: "empty" | "initial";
                preventSubmitDefault: boolean;
                submitWithWarningMessage: boolean;
            }> & Omit<Readonly<import("vue").ExtractPropTypes<{
                colon: BooleanConstructor;
                data: {
                    type: import("vue").PropType<import("tdesign-vue-next").Data>;
                    default: () => {};
                };
                disabled: {
                    type: BooleanConstructor;
                    default: any;
                };
                errorMessage: {
                    type: import("vue").PropType<import("tdesign-vue-next").FormErrorMessage>;
                };
                formControlledComponents: {
                    type: import("vue").PropType<string[]>;
                };
                labelAlign: {
                    type: import("vue").PropType<"left" | "right" | "top">;
                    default: "left" | "right" | "top";
                    validator(val: "left" | "right" | "top"): boolean;
                };
                labelWidth: {
                    type: import("vue").PropType<string | number>;
                    default: string;
                };
                layout: {
                    type: import("vue").PropType<"inline" | "vertical">;
                    default: "inline" | "vertical";
                    validator(val: "inline" | "vertical"): boolean;
                };
                preventSubmitDefault: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                requiredMark: {
                    type: BooleanConstructor;
                    default: any;
                };
                resetType: {
                    type: import("vue").PropType<"empty" | "initial">;
                    default: "empty" | "initial";
                    validator(val: "empty" | "initial"): boolean;
                };
                rules: {
                    type: import("vue").PropType<{
                        [x: string]: import("tdesign-vue-next").FormRule[];
                    }>;
                };
                scrollToFirstError: {
                    type: import("vue").PropType<"" | "auto" | "smooth">;
                    validator(val: "" | "auto" | "smooth"): boolean;
                };
                showErrorMessage: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                statusIcon: {
                    type: import("vue").PropType<boolean | ((h: typeof import("vue").h, props: import("tdesign-vue-next").TdFormItemProps) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                    default: any;
                };
                submitWithWarningMessage: BooleanConstructor;
                onReset: import("vue").PropType<(context: {
                    e?: Event;
                }) => void>;
                onSubmit: import("vue").PropType<(context: import("tdesign-vue-next").SubmitContext<import("tdesign-vue-next").Data>) => void>;
                onValidate: import("vue").PropType<(result: import("tdesign-vue-next").ValidateResultContext<import("tdesign-vue-next").Data>) => void>;
            }>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "data" | "disabled" | "colon" | "labelAlign" | "labelWidth" | "layout" | "preventSubmitDefault" | "requiredMark" | "resetType" | "showErrorMessage" | "statusIcon" | "submitWithWarningMessage">;
            $attrs: {
                [x: string]: unknown;
            };
            $refs: {
                [x: string]: unknown;
            };
            $slots: Readonly<{
                [name: string]: import("vue").Slot;
            }>;
            $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>;
            $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>;
            $emit: (event: string, ...args: any[]) => void;
            $el: any;
            $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                colon: BooleanConstructor;
                data: {
                    type: import("vue").PropType<import("tdesign-vue-next").Data>;
                    default: () => {};
                };
                disabled: {
                    type: BooleanConstructor;
                    default: any;
                };
                errorMessage: {
                    type: import("vue").PropType<import("tdesign-vue-next").FormErrorMessage>;
                };
                formControlledComponents: {
                    type: import("vue").PropType<string[]>;
                };
                labelAlign: {
                    type: import("vue").PropType<"left" | "right" | "top">;
                    default: "left" | "right" | "top";
                    validator(val: "left" | "right" | "top"): boolean;
                };
                labelWidth: {
                    type: import("vue").PropType<string | number>;
                    default: string;
                };
                layout: {
                    type: import("vue").PropType<"inline" | "vertical">;
                    default: "inline" | "vertical";
                    validator(val: "inline" | "vertical"): boolean;
                };
                preventSubmitDefault: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                requiredMark: {
                    type: BooleanConstructor;
                    default: any;
                };
                resetType: {
                    type: import("vue").PropType<"empty" | "initial">;
                    default: "empty" | "initial";
                    validator(val: "empty" | "initial"): boolean;
                };
                rules: {
                    type: import("vue").PropType<{
                        [x: string]: import("tdesign-vue-next").FormRule[];
                    }>;
                };
                scrollToFirstError: {
                    type: import("vue").PropType<"" | "auto" | "smooth">;
                    validator(val: "" | "auto" | "smooth"): boolean;
                };
                showErrorMessage: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                statusIcon: {
                    type: import("vue").PropType<boolean | ((h: typeof import("vue").h, props: import("tdesign-vue-next").TdFormItemProps) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                    default: any;
                };
                submitWithWarningMessage: BooleanConstructor;
                onReset: import("vue").PropType<(context: {
                    e?: Event;
                }) => void>;
                onSubmit: import("vue").PropType<(context: import("tdesign-vue-next").SubmitContext<import("tdesign-vue-next").Data>) => void>;
                onValidate: import("vue").PropType<(result: import("tdesign-vue-next").ValidateResultContext<import("tdesign-vue-next").Data>) => void>;
            }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
                data: {};
                disabled: boolean;
                layout: "inline" | "vertical";
                showErrorMessage: boolean;
                labelAlign: "left" | "right" | "top";
                labelWidth: string | number;
                statusIcon: boolean | ((h: typeof import("vue").h, props: import("tdesign-vue-next").TdFormItemProps) => import("tdesign-vue-next/es/common").SlotReturnValue);
                requiredMark: boolean;
                colon: boolean;
                resetType: "empty" | "initial";
                preventSubmitDefault: boolean;
                submitWithWarningMessage: boolean;
            }, {}, string> & {
                beforeCreate?: (() => void) | (() => void)[];
                created?: (() => void) | (() => void)[];
                beforeMount?: (() => void) | (() => void)[];
                mounted?: (() => void) | (() => void)[];
                beforeUpdate?: (() => void) | (() => void)[];
                updated?: (() => void) | (() => void)[];
                activated?: (() => void) | (() => void)[];
                deactivated?: (() => void) | (() => void)[];
                beforeDestroy?: (() => void) | (() => void)[];
                beforeUnmount?: (() => void) | (() => void)[];
                destroyed?: (() => void) | (() => void)[];
                unmounted?: (() => void) | (() => void)[];
                renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
                renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
                errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>, info: string) => boolean | void)[];
            };
            $forceUpdate: () => void;
            $nextTick: typeof import("vue").nextTick;
            $watch<T_4 extends string | ((...args: any) => any)>(source: T_4, cb: T_4 extends (...args: any) => infer R_4 ? (args_0: R_4, args_1: R_4) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
        } & Readonly<import("vue").ExtractPropTypes<{
            colon: BooleanConstructor;
            data: {
                type: import("vue").PropType<import("tdesign-vue-next").Data>;
                default: () => {};
            };
            disabled: {
                type: BooleanConstructor;
                default: any;
            };
            errorMessage: {
                type: import("vue").PropType<import("tdesign-vue-next").FormErrorMessage>;
            };
            formControlledComponents: {
                type: import("vue").PropType<string[]>;
            };
            labelAlign: {
                type: import("vue").PropType<"left" | "right" | "top">;
                default: "left" | "right" | "top";
                validator(val: "left" | "right" | "top"): boolean;
            };
            labelWidth: {
                type: import("vue").PropType<string | number>;
                default: string;
            };
            layout: {
                type: import("vue").PropType<"inline" | "vertical">;
                default: "inline" | "vertical";
                validator(val: "inline" | "vertical"): boolean;
            };
            preventSubmitDefault: {
                type: BooleanConstructor;
                default: boolean;
            };
            requiredMark: {
                type: BooleanConstructor;
                default: any;
            };
            resetType: {
                type: import("vue").PropType<"empty" | "initial">;
                default: "empty" | "initial";
                validator(val: "empty" | "initial"): boolean;
            };
            rules: {
                type: import("vue").PropType<{
                    [x: string]: import("tdesign-vue-next").FormRule[];
                }>;
            };
            scrollToFirstError: {
                type: import("vue").PropType<"" | "auto" | "smooth">;
                validator(val: "" | "auto" | "smooth"): boolean;
            };
            showErrorMessage: {
                type: BooleanConstructor;
                default: boolean;
            };
            statusIcon: {
                type: import("vue").PropType<boolean | ((h: typeof import("vue").h, props: import("tdesign-vue-next").TdFormItemProps) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                default: any;
            };
            submitWithWarningMessage: BooleanConstructor;
            onReset: import("vue").PropType<(context: {
                e?: Event;
            }) => void>;
            onSubmit: import("vue").PropType<(context: import("tdesign-vue-next").SubmitContext<import("tdesign-vue-next").Data>) => void>;
            onValidate: import("vue").PropType<(result: import("tdesign-vue-next").ValidateResultContext<import("tdesign-vue-next").Data>) => void>;
        }>> & import("vue").ShallowUnwrapRef<() => JSX.Element> & import("vue").ComponentCustomProperties;
        __isFragment?: never;
        __isTeleport?: never;
        __isSuspense?: never;
    } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
        colon: BooleanConstructor;
        data: {
            type: import("vue").PropType<import("tdesign-vue-next").Data>;
            default: () => {};
        };
        disabled: {
            type: BooleanConstructor;
            default: any;
        };
        errorMessage: {
            type: import("vue").PropType<import("tdesign-vue-next").FormErrorMessage>;
        };
        formControlledComponents: {
            type: import("vue").PropType<string[]>;
        };
        labelAlign: {
            type: import("vue").PropType<"left" | "right" | "top">;
            default: "left" | "right" | "top";
            validator(val: "left" | "right" | "top"): boolean;
        };
        labelWidth: {
            type: import("vue").PropType<string | number>;
            default: string;
        };
        layout: {
            type: import("vue").PropType<"inline" | "vertical">;
            default: "inline" | "vertical";
            validator(val: "inline" | "vertical"): boolean;
        };
        preventSubmitDefault: {
            type: BooleanConstructor;
            default: boolean;
        };
        requiredMark: {
            type: BooleanConstructor;
            default: any;
        };
        resetType: {
            type: import("vue").PropType<"empty" | "initial">;
            default: "empty" | "initial";
            validator(val: "empty" | "initial"): boolean;
        };
        rules: {
            type: import("vue").PropType<{
                [x: string]: import("tdesign-vue-next").FormRule[];
            }>;
        };
        scrollToFirstError: {
            type: import("vue").PropType<"" | "auto" | "smooth">;
            validator(val: "" | "auto" | "smooth"): boolean;
        };
        showErrorMessage: {
            type: BooleanConstructor;
            default: boolean;
        };
        statusIcon: {
            type: import("vue").PropType<boolean | ((h: typeof import("vue").h, props: import("tdesign-vue-next").TdFormItemProps) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            default: any;
        };
        submitWithWarningMessage: BooleanConstructor;
        onReset: import("vue").PropType<(context: {
            e?: Event;
        }) => void>;
        onSubmit: import("vue").PropType<(context: import("tdesign-vue-next").SubmitContext<import("tdesign-vue-next").Data>) => void>;
        onValidate: import("vue").PropType<(result: import("tdesign-vue-next").ValidateResultContext<import("tdesign-vue-next").Data>) => void>;
    }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
        data: {};
        disabled: boolean;
        layout: "inline" | "vertical";
        showErrorMessage: boolean;
        labelAlign: "left" | "right" | "top";
        labelWidth: string | number;
        statusIcon: boolean | ((h: typeof import("vue").h, props: import("tdesign-vue-next").TdFormItemProps) => import("tdesign-vue-next/es/common").SlotReturnValue);
        requiredMark: boolean;
        colon: boolean;
        resetType: "empty" | "initial";
        preventSubmitDefault: boolean;
        submitWithWarningMessage: boolean;
    }, {}, string> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("@vue/runtime-core").Plugin;
    readonly TFormItem: {
        new (...args: any[]): {
            $: import("vue").ComponentInternalInstance;
            $data: {};
            $props: Partial<{
                label: string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue);
                status: string;
                for: string;
                showErrorMessage: boolean;
                statusIcon: boolean | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue);
                requiredMark: boolean;
                successBorder: boolean;
            }> & Omit<Readonly<import("vue").ExtractPropTypes<{
                for: {
                    type: StringConstructor;
                    default: string;
                };
                help: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                label: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                    default: string;
                };
                labelAlign: {
                    type: import("vue").PropType<"left" | "right" | "top">;
                    validator(val: "left" | "right" | "top"): boolean;
                };
                labelWidth: {
                    type: import("vue").PropType<string | number>;
                };
                name: {
                    type: import("vue").PropType<string | number>;
                };
                requiredMark: {
                    type: BooleanConstructor;
                    default: any;
                };
                rules: {
                    type: import("vue").PropType<import("tdesign-vue-next").FormRule[]>;
                };
                showErrorMessage: {
                    type: BooleanConstructor;
                    default: any;
                };
                status: {
                    type: StringConstructor;
                    default: string;
                };
                statusIcon: {
                    type: import("vue").PropType<boolean | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                    default: any;
                };
                successBorder: BooleanConstructor;
                tips: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
            }>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "status" | "label" | "requiredMark" | "showErrorMessage" | "statusIcon" | "for" | "successBorder">;
            $attrs: {
                [x: string]: unknown;
            };
            $refs: {
                [x: string]: unknown;
            };
            $slots: Readonly<{
                [name: string]: import("vue").Slot;
            }>;
            $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>;
            $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>;
            $emit: (event: string, ...args: any[]) => void;
            $el: any;
            $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                for: {
                    type: StringConstructor;
                    default: string;
                };
                help: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                label: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                    default: string;
                };
                labelAlign: {
                    type: import("vue").PropType<"left" | "right" | "top">;
                    validator(val: "left" | "right" | "top"): boolean;
                };
                labelWidth: {
                    type: import("vue").PropType<string | number>;
                };
                name: {
                    type: import("vue").PropType<string | number>;
                };
                requiredMark: {
                    type: BooleanConstructor;
                    default: any;
                };
                rules: {
                    type: import("vue").PropType<import("tdesign-vue-next").FormRule[]>;
                };
                showErrorMessage: {
                    type: BooleanConstructor;
                    default: any;
                };
                status: {
                    type: StringConstructor;
                    default: string;
                };
                statusIcon: {
                    type: import("vue").PropType<boolean | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                    default: any;
                };
                successBorder: BooleanConstructor;
                tips: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
            }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
                label: string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue);
                status: string;
                for: string;
                showErrorMessage: boolean;
                statusIcon: boolean | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue);
                requiredMark: boolean;
                successBorder: boolean;
            }, {}, string> & {
                beforeCreate?: (() => void) | (() => void)[];
                created?: (() => void) | (() => void)[];
                beforeMount?: (() => void) | (() => void)[];
                mounted?: (() => void) | (() => void)[];
                beforeUpdate?: (() => void) | (() => void)[];
                updated?: (() => void) | (() => void)[];
                activated?: (() => void) | (() => void)[];
                deactivated?: (() => void) | (() => void)[];
                beforeDestroy?: (() => void) | (() => void)[];
                beforeUnmount?: (() => void) | (() => void)[];
                destroyed?: (() => void) | (() => void)[];
                unmounted?: (() => void) | (() => void)[];
                renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
                renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
                errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>, info: string) => boolean | void)[];
            };
            $forceUpdate: () => void;
            $nextTick: typeof import("vue").nextTick;
            $watch<T_5 extends string | ((...args: any) => any)>(source: T_5, cb: T_5 extends (...args: any) => infer R_5 ? (args_0: R_5, args_1: R_5) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
        } & Readonly<import("vue").ExtractPropTypes<{
            for: {
                type: StringConstructor;
                default: string;
            };
            help: {
                type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            };
            label: {
                type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                default: string;
            };
            labelAlign: {
                type: import("vue").PropType<"left" | "right" | "top">;
                validator(val: "left" | "right" | "top"): boolean;
            };
            labelWidth: {
                type: import("vue").PropType<string | number>;
            };
            name: {
                type: import("vue").PropType<string | number>;
            };
            requiredMark: {
                type: BooleanConstructor;
                default: any;
            };
            rules: {
                type: import("vue").PropType<import("tdesign-vue-next").FormRule[]>;
            };
            showErrorMessage: {
                type: BooleanConstructor;
                default: any;
            };
            status: {
                type: StringConstructor;
                default: string;
            };
            statusIcon: {
                type: import("vue").PropType<boolean | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                default: any;
            };
            successBorder: BooleanConstructor;
            tips: {
                type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            };
        }>> & import("vue").ShallowUnwrapRef<() => JSX.Element> & import("vue").ComponentCustomProperties;
        __isFragment?: never;
        __isTeleport?: never;
        __isSuspense?: never;
    } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
        for: {
            type: StringConstructor;
            default: string;
        };
        help: {
            type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
        };
        label: {
            type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            default: string;
        };
        labelAlign: {
            type: import("vue").PropType<"left" | "right" | "top">;
            validator(val: "left" | "right" | "top"): boolean;
        };
        labelWidth: {
            type: import("vue").PropType<string | number>;
        };
        name: {
            type: import("vue").PropType<string | number>;
        };
        requiredMark: {
            type: BooleanConstructor;
            default: any;
        };
        rules: {
            type: import("vue").PropType<import("tdesign-vue-next").FormRule[]>;
        };
        showErrorMessage: {
            type: BooleanConstructor;
            default: any;
        };
        status: {
            type: StringConstructor;
            default: string;
        };
        statusIcon: {
            type: import("vue").PropType<boolean | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            default: any;
        };
        successBorder: BooleanConstructor;
        tips: {
            type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
        };
    }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
        label: string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue);
        status: string;
        for: string;
        showErrorMessage: boolean;
        statusIcon: boolean | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue);
        requiredMark: boolean;
        successBorder: boolean;
    }, {}, string> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("@vue/runtime-core").Plugin;
    InputField: import("vue").DefineComponent<{
        modelValue: {
            default: string;
        };
        type: {
            type: StringConstructor;
            default: string;
        };
        autoFocus: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        blurFinish: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, {
        props: any;
        $emit: (event: "update:modelValue" | "finish", ...args: any[]) => void;
        handleOperation: (value: import("tdesign-vue-next").InputNumberValue, type: "enter" | "blur") => void;
        handleChange: (value: any) => void;
        readonly TInput: {
            new (...args: any[]): {
                $: import("vue").ComponentInternalInstance;
                $data: {};
                $props: Partial<{
                    type: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel";
                    name: string;
                    value: string;
                    autocomplete: string;
                    autofocus: boolean;
                    disabled: boolean;
                    size: import("tdesign-vue-next/es/common").SizeEnum;
                    readonly: boolean;
                    status: "default" | "error" | "success" | "warning";
                    placeholder: string;
                    align: "center" | "left" | "right";
                    modelValue: string;
                    defaultValue: string;
                    allowInputOverMax: boolean;
                    showInput: boolean;
                    keepWrapperWidth: boolean;
                    allowTriggerBlur: boolean;
                    autoWidth: boolean;
                    clearable: boolean;
                    showClearIconOnEmpty: boolean;
                    showLimitNumber: boolean;
                }> & Omit<Readonly<import("vue").ExtractPropTypes<{
                    showInput: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    keepWrapperWidth: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    allowTriggerBlur: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    align: {
                        type: import("vue").PropType<"center" | "left" | "right">;
                        default: "center" | "left" | "right";
                        validator(val: "center" | "left" | "right"): boolean;
                    };
                    allowInputOverMax: BooleanConstructor;
                    autoWidth: BooleanConstructor;
                    autocomplete: {
                        type: StringConstructor;
                        default: any;
                    };
                    autofocus: BooleanConstructor;
                    clearable: BooleanConstructor;
                    disabled: BooleanConstructor;
                    format: {
                        type: import("vue").PropType<import("tdesign-vue-next").InputFormatType>;
                    };
                    inputClass: {
                        type: import("vue").PropType<import("tdesign-vue-next/es/common").ClassName>;
                    };
                    label: {
                        type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                    };
                    maxcharacter: {
                        type: NumberConstructor;
                    };
                    maxlength: {
                        type: NumberConstructor;
                    };
                    name: {
                        type: StringConstructor;
                        default: string;
                    };
                    placeholder: {
                        type: StringConstructor;
                        default: any;
                    };
                    prefixIcon: {
                        type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
                    };
                    readonly: BooleanConstructor;
                    showClearIconOnEmpty: BooleanConstructor;
                    showLimitNumber: BooleanConstructor;
                    size: {
                        type: import("vue").PropType<import("tdesign-vue-next/es/common").SizeEnum>;
                        default: import("tdesign-vue-next/es/common").SizeEnum;
                        validator(val: import("tdesign-vue-next/es/common").SizeEnum): boolean;
                    };
                    status: {
                        type: import("vue").PropType<"default" | "error" | "success" | "warning">;
                        default: "default" | "error" | "success" | "warning";
                        validator(val: "default" | "error" | "success" | "warning"): boolean;
                    };
                    suffix: {
                        type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                    };
                    suffixIcon: {
                        type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
                    };
                    tips: {
                        type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                    };
                    type: {
                        type: import("vue").PropType<"number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel">;
                        default: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel";
                        validator(val: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel"): boolean;
                    };
                    value: {
                        type: import("vue").PropType<string>;
                        default: any;
                    };
                    modelValue: {
                        type: import("vue").PropType<string>;
                        default: any;
                    };
                    defaultValue: {
                        type: import("vue").PropType<string>;
                        default: string;
                    };
                    onBlur: import("vue").PropType<(value: string, context: {
                        e: FocusEvent;
                    }) => void>;
                    onChange: import("vue").PropType<(value: string, context?: {
                        e?: MouseEvent | CompositionEvent | InputEvent;
                        trigger: "initial" | "clear" | "input";
                    }) => void>;
                    onClear: import("vue").PropType<(context: {
                        e: MouseEvent;
                    }) => void>;
                    onClick: import("vue").PropType<(context: {
                        e: MouseEvent;
                    }) => void>;
                    onCompositionend: import("vue").PropType<(value: string, context: {
                        e: CompositionEvent;
                    }) => void>;
                    onCompositionstart: import("vue").PropType<(value: string, context: {
                        e: CompositionEvent;
                    }) => void>;
                    onEnter: import("vue").PropType<(value: string, context: {
                        e: KeyboardEvent;
                    }) => void>;
                    onFocus: import("vue").PropType<(value: string, context: {
                        e: FocusEvent;
                    }) => void>;
                    onKeydown: import("vue").PropType<(value: string, context: {
                        e: KeyboardEvent;
                    }) => void>;
                    onKeypress: import("vue").PropType<(value: string, context: {
                        e: KeyboardEvent;
                    }) => void>;
                    onKeyup: import("vue").PropType<(value: string, context: {
                        e: KeyboardEvent;
                    }) => void>;
                    onMouseenter: import("vue").PropType<(context: {
                        e: MouseEvent;
                    }) => void>;
                    onMouseleave: import("vue").PropType<(context: {
                        e: MouseEvent;
                    }) => void>;
                    onPaste: import("vue").PropType<(context: {
                        e: ClipboardEvent;
                        pasteValue: string;
                    }) => void>;
                    onValidate: import("vue").PropType<(context: {
                        error?: "exceed-maximum" | "below-minimum";
                    }) => void>;
                    onWheel: import("vue").PropType<(context: {
                        e: WheelEvent;
                    }) => void>;
                }>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "name" | "value" | "type" | "disabled" | "size" | "modelValue" | "autoWidth" | "clearable" | "placeholder" | "readonly" | "status" | "defaultValue" | "showInput" | "keepWrapperWidth" | "allowTriggerBlur" | "align" | "allowInputOverMax" | "autocomplete" | "autofocus" | "showClearIconOnEmpty" | "showLimitNumber">;
                $attrs: {
                    [x: string]: unknown;
                };
                $refs: {
                    [x: string]: unknown;
                };
                $slots: Readonly<{
                    [name: string]: import("vue").Slot;
                }>;
                $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>;
                $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>;
                $emit: (event: string, ...args: any[]) => void;
                $el: any;
                $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                    showInput: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    keepWrapperWidth: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    allowTriggerBlur: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    align: {
                        type: import("vue").PropType<"center" | "left" | "right">;
                        default: "center" | "left" | "right";
                        validator(val: "center" | "left" | "right"): boolean;
                    };
                    allowInputOverMax: BooleanConstructor;
                    autoWidth: BooleanConstructor;
                    autocomplete: {
                        type: StringConstructor;
                        default: any;
                    };
                    autofocus: BooleanConstructor;
                    clearable: BooleanConstructor;
                    disabled: BooleanConstructor;
                    format: {
                        type: import("vue").PropType<import("tdesign-vue-next").InputFormatType>;
                    };
                    inputClass: {
                        type: import("vue").PropType<import("tdesign-vue-next/es/common").ClassName>;
                    };
                    label: {
                        type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                    };
                    maxcharacter: {
                        type: NumberConstructor;
                    };
                    maxlength: {
                        type: NumberConstructor;
                    };
                    name: {
                        type: StringConstructor;
                        default: string;
                    };
                    placeholder: {
                        type: StringConstructor;
                        default: any;
                    };
                    prefixIcon: {
                        type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
                    };
                    readonly: BooleanConstructor;
                    showClearIconOnEmpty: BooleanConstructor;
                    showLimitNumber: BooleanConstructor;
                    size: {
                        type: import("vue").PropType<import("tdesign-vue-next/es/common").SizeEnum>;
                        default: import("tdesign-vue-next/es/common").SizeEnum;
                        validator(val: import("tdesign-vue-next/es/common").SizeEnum): boolean;
                    };
                    status: {
                        type: import("vue").PropType<"default" | "error" | "success" | "warning">;
                        default: "default" | "error" | "success" | "warning";
                        validator(val: "default" | "error" | "success" | "warning"): boolean;
                    };
                    suffix: {
                        type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                    };
                    suffixIcon: {
                        type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
                    };
                    tips: {
                        type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                    };
                    type: {
                        type: import("vue").PropType<"number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel">;
                        default: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel";
                        validator(val: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel"): boolean;
                    };
                    value: {
                        type: import("vue").PropType<string>;
                        default: any;
                    };
                    modelValue: {
                        type: import("vue").PropType<string>;
                        default: any;
                    };
                    defaultValue: {
                        type: import("vue").PropType<string>;
                        default: string;
                    };
                    onBlur: import("vue").PropType<(value: string, context: {
                        e: FocusEvent;
                    }) => void>;
                    onChange: import("vue").PropType<(value: string, context?: {
                        e?: MouseEvent | CompositionEvent | InputEvent;
                        trigger: "initial" | "clear" | "input";
                    }) => void>;
                    onClear: import("vue").PropType<(context: {
                        e: MouseEvent;
                    }) => void>;
                    onClick: import("vue").PropType<(context: {
                        e: MouseEvent;
                    }) => void>;
                    onCompositionend: import("vue").PropType<(value: string, context: {
                        e: CompositionEvent;
                    }) => void>;
                    onCompositionstart: import("vue").PropType<(value: string, context: {
                        e: CompositionEvent;
                    }) => void>;
                    onEnter: import("vue").PropType<(value: string, context: {
                        e: KeyboardEvent;
                    }) => void>;
                    onFocus: import("vue").PropType<(value: string, context: {
                        e: FocusEvent;
                    }) => void>;
                    onKeydown: import("vue").PropType<(value: string, context: {
                        e: KeyboardEvent;
                    }) => void>;
                    onKeypress: import("vue").PropType<(value: string, context: {
                        e: KeyboardEvent;
                    }) => void>;
                    onKeyup: import("vue").PropType<(value: string, context: {
                        e: KeyboardEvent;
                    }) => void>;
                    onMouseenter: import("vue").PropType<(context: {
                        e: MouseEvent;
                    }) => void>;
                    onMouseleave: import("vue").PropType<(context: {
                        e: MouseEvent;
                    }) => void>;
                    onPaste: import("vue").PropType<(context: {
                        e: ClipboardEvent;
                        pasteValue: string;
                    }) => void>;
                    onValidate: import("vue").PropType<(context: {
                        error?: "exceed-maximum" | "below-minimum";
                    }) => void>;
                    onWheel: import("vue").PropType<(context: {
                        e: WheelEvent;
                    }) => void>;
                }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
                    type: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel";
                    name: string;
                    value: string;
                    autocomplete: string;
                    autofocus: boolean;
                    disabled: boolean;
                    size: import("tdesign-vue-next/es/common").SizeEnum;
                    readonly: boolean;
                    status: "default" | "error" | "success" | "warning";
                    placeholder: string;
                    align: "center" | "left" | "right";
                    modelValue: string;
                    defaultValue: string;
                    allowInputOverMax: boolean;
                    showInput: boolean;
                    keepWrapperWidth: boolean;
                    allowTriggerBlur: boolean;
                    autoWidth: boolean;
                    clearable: boolean;
                    showClearIconOnEmpty: boolean;
                    showLimitNumber: boolean;
                }, {}, string> & {
                    beforeCreate?: (() => void) | (() => void)[];
                    created?: (() => void) | (() => void)[];
                    beforeMount?: (() => void) | (() => void)[];
                    mounted?: (() => void) | (() => void)[];
                    beforeUpdate?: (() => void) | (() => void)[];
                    updated?: (() => void) | (() => void)[];
                    activated?: (() => void) | (() => void)[];
                    deactivated?: (() => void) | (() => void)[];
                    beforeDestroy?: (() => void) | (() => void)[];
                    beforeUnmount?: (() => void) | (() => void)[];
                    destroyed?: (() => void) | (() => void)[];
                    unmounted?: (() => void) | (() => void)[];
                    renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
                    renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
                    errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>, info: string) => boolean | void)[];
                };
                $forceUpdate: () => void;
                $nextTick: typeof import("vue").nextTick;
                $watch<T_3 extends string | ((...args: any) => any)>(source: T_3, cb: T_3 extends (...args: any) => infer R_3 ? (args_0: R_3, args_1: R_3) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
            } & Readonly<import("vue").ExtractPropTypes<{
                showInput: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                keepWrapperWidth: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                allowTriggerBlur: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                align: {
                    type: import("vue").PropType<"center" | "left" | "right">;
                    default: "center" | "left" | "right";
                    validator(val: "center" | "left" | "right"): boolean;
                };
                allowInputOverMax: BooleanConstructor;
                autoWidth: BooleanConstructor;
                autocomplete: {
                    type: StringConstructor;
                    default: any;
                };
                autofocus: BooleanConstructor;
                clearable: BooleanConstructor;
                disabled: BooleanConstructor;
                format: {
                    type: import("vue").PropType<import("tdesign-vue-next").InputFormatType>;
                };
                inputClass: {
                    type: import("vue").PropType<import("tdesign-vue-next/es/common").ClassName>;
                };
                label: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                maxcharacter: {
                    type: NumberConstructor;
                };
                maxlength: {
                    type: NumberConstructor;
                };
                name: {
                    type: StringConstructor;
                    default: string;
                };
                placeholder: {
                    type: StringConstructor;
                    default: any;
                };
                prefixIcon: {
                    type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
                };
                readonly: BooleanConstructor;
                showClearIconOnEmpty: BooleanConstructor;
                showLimitNumber: BooleanConstructor;
                size: {
                    type: import("vue").PropType<import("tdesign-vue-next/es/common").SizeEnum>;
                    default: import("tdesign-vue-next/es/common").SizeEnum;
                    validator(val: import("tdesign-vue-next/es/common").SizeEnum): boolean;
                };
                status: {
                    type: import("vue").PropType<"default" | "error" | "success" | "warning">;
                    default: "default" | "error" | "success" | "warning";
                    validator(val: "default" | "error" | "success" | "warning"): boolean;
                };
                suffix: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                suffixIcon: {
                    type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
                };
                tips: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                type: {
                    type: import("vue").PropType<"number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel">;
                    default: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel";
                    validator(val: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel"): boolean;
                };
                value: {
                    type: import("vue").PropType<string>;
                    default: any;
                };
                modelValue: {
                    type: import("vue").PropType<string>;
                    default: any;
                };
                defaultValue: {
                    type: import("vue").PropType<string>;
                    default: string;
                };
                onBlur: import("vue").PropType<(value: string, context: {
                    e: FocusEvent;
                }) => void>;
                onChange: import("vue").PropType<(value: string, context?: {
                    e?: MouseEvent | CompositionEvent | InputEvent;
                    trigger: "initial" | "clear" | "input";
                }) => void>;
                onClear: import("vue").PropType<(context: {
                    e: MouseEvent;
                }) => void>;
                onClick: import("vue").PropType<(context: {
                    e: MouseEvent;
                }) => void>;
                onCompositionend: import("vue").PropType<(value: string, context: {
                    e: CompositionEvent;
                }) => void>;
                onCompositionstart: import("vue").PropType<(value: string, context: {
                    e: CompositionEvent;
                }) => void>;
                onEnter: import("vue").PropType<(value: string, context: {
                    e: KeyboardEvent;
                }) => void>;
                onFocus: import("vue").PropType<(value: string, context: {
                    e: FocusEvent;
                }) => void>;
                onKeydown: import("vue").PropType<(value: string, context: {
                    e: KeyboardEvent;
                }) => void>;
                onKeypress: import("vue").PropType<(value: string, context: {
                    e: KeyboardEvent;
                }) => void>;
                onKeyup: import("vue").PropType<(value: string, context: {
                    e: KeyboardEvent;
                }) => void>;
                onMouseenter: import("vue").PropType<(context: {
                    e: MouseEvent;
                }) => void>;
                onMouseleave: import("vue").PropType<(context: {
                    e: MouseEvent;
                }) => void>;
                onPaste: import("vue").PropType<(context: {
                    e: ClipboardEvent;
                    pasteValue: string;
                }) => void>;
                onValidate: import("vue").PropType<(context: {
                    error?: "exceed-maximum" | "below-minimum";
                }) => void>;
                onWheel: import("vue").PropType<(context: {
                    e: WheelEvent;
                }) => void>;
            }>> & import("vue").ShallowUnwrapRef<() => JSX.Element> & import("vue").ComponentCustomProperties;
            __isFragment?: never;
            __isTeleport?: never;
            __isSuspense?: never;
        } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            showInput: {
                type: BooleanConstructor;
                default: boolean;
            };
            keepWrapperWidth: {
                type: BooleanConstructor;
                default: boolean;
            };
            allowTriggerBlur: {
                type: BooleanConstructor;
                default: boolean;
            };
            align: {
                type: import("vue").PropType<"center" | "left" | "right">;
                default: "center" | "left" | "right";
                validator(val: "center" | "left" | "right"): boolean;
            };
            allowInputOverMax: BooleanConstructor;
            autoWidth: BooleanConstructor;
            autocomplete: {
                type: StringConstructor;
                default: any;
            };
            autofocus: BooleanConstructor;
            clearable: BooleanConstructor;
            disabled: BooleanConstructor;
            format: {
                type: import("vue").PropType<import("tdesign-vue-next").InputFormatType>;
            };
            inputClass: {
                type: import("vue").PropType<import("tdesign-vue-next/es/common").ClassName>;
            };
            label: {
                type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            };
            maxcharacter: {
                type: NumberConstructor;
            };
            maxlength: {
                type: NumberConstructor;
            };
            name: {
                type: StringConstructor;
                default: string;
            };
            placeholder: {
                type: StringConstructor;
                default: any;
            };
            prefixIcon: {
                type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
            };
            readonly: BooleanConstructor;
            showClearIconOnEmpty: BooleanConstructor;
            showLimitNumber: BooleanConstructor;
            size: {
                type: import("vue").PropType<import("tdesign-vue-next/es/common").SizeEnum>;
                default: import("tdesign-vue-next/es/common").SizeEnum;
                validator(val: import("tdesign-vue-next/es/common").SizeEnum): boolean;
            };
            status: {
                type: import("vue").PropType<"default" | "error" | "success" | "warning">;
                default: "default" | "error" | "success" | "warning";
                validator(val: "default" | "error" | "success" | "warning"): boolean;
            };
            suffix: {
                type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            };
            suffixIcon: {
                type: import("vue").PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
            };
            tips: {
                type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            };
            type: {
                type: import("vue").PropType<"number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel">;
                default: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel";
                validator(val: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel"): boolean;
            };
            value: {
                type: import("vue").PropType<string>;
                default: any;
            };
            modelValue: {
                type: import("vue").PropType<string>;
                default: any;
            };
            defaultValue: {
                type: import("vue").PropType<string>;
                default: string;
            };
            onBlur: import("vue").PropType<(value: string, context: {
                e: FocusEvent;
            }) => void>;
            onChange: import("vue").PropType<(value: string, context?: {
                e?: MouseEvent | CompositionEvent | InputEvent;
                trigger: "initial" | "clear" | "input";
            }) => void>;
            onClear: import("vue").PropType<(context: {
                e: MouseEvent;
            }) => void>;
            onClick: import("vue").PropType<(context: {
                e: MouseEvent;
            }) => void>;
            onCompositionend: import("vue").PropType<(value: string, context: {
                e: CompositionEvent;
            }) => void>;
            onCompositionstart: import("vue").PropType<(value: string, context: {
                e: CompositionEvent;
            }) => void>;
            onEnter: import("vue").PropType<(value: string, context: {
                e: KeyboardEvent;
            }) => void>;
            onFocus: import("vue").PropType<(value: string, context: {
                e: FocusEvent;
            }) => void>;
            onKeydown: import("vue").PropType<(value: string, context: {
                e: KeyboardEvent;
            }) => void>;
            onKeypress: import("vue").PropType<(value: string, context: {
                e: KeyboardEvent;
            }) => void>;
            onKeyup: import("vue").PropType<(value: string, context: {
                e: KeyboardEvent;
            }) => void>;
            onMouseenter: import("vue").PropType<(context: {
                e: MouseEvent;
            }) => void>;
            onMouseleave: import("vue").PropType<(context: {
                e: MouseEvent;
            }) => void>;
            onPaste: import("vue").PropType<(context: {
                e: ClipboardEvent;
                pasteValue: string;
            }) => void>;
            onValidate: import("vue").PropType<(context: {
                error?: "exceed-maximum" | "below-minimum";
            }) => void>;
            onWheel: import("vue").PropType<(context: {
                e: WheelEvent;
            }) => void>;
        }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
            type: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel";
            name: string;
            value: string;
            autocomplete: string;
            autofocus: boolean;
            disabled: boolean;
            size: import("tdesign-vue-next/es/common").SizeEnum;
            readonly: boolean;
            status: "default" | "error" | "success" | "warning";
            placeholder: string;
            align: "center" | "left" | "right";
            modelValue: string;
            defaultValue: string;
            allowInputOverMax: boolean;
            showInput: boolean;
            keepWrapperWidth: boolean;
            allowTriggerBlur: boolean;
            autoWidth: boolean;
            clearable: boolean;
            showClearIconOnEmpty: boolean;
            showLimitNumber: boolean;
        }, {}, string> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("@vue/runtime-core").Plugin;
        readonly TInputNumber: {
            new (...args: any[]): {
                $: import("vue").ComponentInternalInstance;
                $data: {};
                $props: Partial<{
                    max: import("tdesign-vue-next").InputNumberValue;
                    value: import("tdesign-vue-next").InputNumberValue;
                    disabled: boolean;
                    size: "small" | "medium" | "large";
                    readonly: boolean;
                    step: import("tdesign-vue-next").InputNumberValue;
                    placeholder: string;
                    min: import("tdesign-vue-next").InputNumberValue;
                    modelValue: import("tdesign-vue-next").InputNumberValue;
                    theme: "normal" | "column" | "row";
                    autoWidth: boolean;
                    largeNumber: boolean;
                    allowInputOverLimit: boolean;
                    decimalPlaces: number;
                }> & Omit<Readonly<import("vue").ExtractPropTypes<{
                    align: {
                        type: import("vue").PropType<"center" | "left" | "right">;
                        validator(val: "center" | "left" | "right"): boolean;
                    };
                    allowInputOverLimit: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    autoWidth: BooleanConstructor;
                    decimalPlaces: {
                        type: NumberConstructor;
                        default: any;
                    };
                    disabled: BooleanConstructor;
                    format: {
                        type: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context?: {
                            fixedNumber?: import("tdesign-vue-next").InputNumberValue;
                        }) => import("tdesign-vue-next").InputNumberValue>;
                    };
                    inputProps: {
                        type: import("vue").PropType<import("tdesign-vue-next").TdInputProps>;
                    };
                    label: {
                        type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                    };
                    largeNumber: BooleanConstructor;
                    max: {
                        type: import("vue").PropType<import("tdesign-vue-next").InputNumberValue>;
                        default: number;
                    };
                    min: {
                        type: import("vue").PropType<import("tdesign-vue-next").InputNumberValue>;
                        default: number;
                    };
                    placeholder: {
                        type: StringConstructor;
                        default: any;
                    };
                    readonly: BooleanConstructor;
                    size: {
                        type: import("vue").PropType<"small" | "medium" | "large">;
                        default: "small" | "medium" | "large";
                        validator(val: "small" | "medium" | "large"): boolean;
                    };
                    status: {
                        type: import("vue").PropType<"default" | "error" | "success" | "warning">;
                        validator(val: "default" | "error" | "success" | "warning"): boolean;
                    };
                    step: {
                        type: import("vue").PropType<import("tdesign-vue-next").InputNumberValue>;
                        default: number;
                    };
                    suffix: {
                        type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                    };
                    theme: {
                        type: import("vue").PropType<"normal" | "column" | "row">;
                        default: "normal" | "column" | "row";
                        validator(val: "normal" | "column" | "row"): boolean;
                    };
                    tips: {
                        type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                    };
                    value: {
                        type: import("vue").PropType<import("tdesign-vue-next").InputNumberValue>;
                        default: any;
                    };
                    modelValue: {
                        type: import("vue").PropType<import("tdesign-vue-next").InputNumberValue>;
                        default: any;
                    };
                    defaultValue: {
                        type: import("vue").PropType<import("tdesign-vue-next").InputNumberValue>;
                    };
                    onBlur: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context: {
                        e: FocusEvent;
                    }) => void>;
                    onChange: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context: import("tdesign-vue-next").ChangeContext) => void>;
                    onEnter: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context: {
                        e: KeyboardEvent;
                    }) => void>;
                    onFocus: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context: {
                        e: FocusEvent;
                    }) => void>;
                    onKeydown: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context: {
                        e: KeyboardEvent;
                    }) => void>;
                    onKeypress: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context: {
                        e: KeyboardEvent;
                    }) => void>;
                    onKeyup: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context: {
                        e: KeyboardEvent;
                    }) => void>;
                    onValidate: import("vue").PropType<(context: {
                        error?: "exceed-maximum" | "below-minimum";
                    }) => void>;
                }>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "value" | "disabled" | "size" | "modelValue" | "theme" | "autoWidth" | "max" | "placeholder" | "readonly" | "allowInputOverLimit" | "decimalPlaces" | "largeNumber" | "min" | "step">;
                $attrs: {
                    [x: string]: unknown;
                };
                $refs: {
                    [x: string]: unknown;
                };
                $slots: Readonly<{
                    [name: string]: import("vue").Slot;
                }>;
                $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>;
                $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>;
                $emit: ((event: string, ...args: any[]) => void) | ((event: string, ...args: any[]) => void);
                $el: any;
                $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                    align: {
                        type: import("vue").PropType<"center" | "left" | "right">;
                        validator(val: "center" | "left" | "right"): boolean;
                    };
                    allowInputOverLimit: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    autoWidth: BooleanConstructor;
                    decimalPlaces: {
                        type: NumberConstructor;
                        default: any;
                    };
                    disabled: BooleanConstructor;
                    format: {
                        type: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context?: {
                            fixedNumber?: import("tdesign-vue-next").InputNumberValue;
                        }) => import("tdesign-vue-next").InputNumberValue>;
                    };
                    inputProps: {
                        type: import("vue").PropType<import("tdesign-vue-next").TdInputProps>;
                    };
                    label: {
                        type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                    };
                    largeNumber: BooleanConstructor;
                    max: {
                        type: import("vue").PropType<import("tdesign-vue-next").InputNumberValue>;
                        default: number;
                    };
                    min: {
                        type: import("vue").PropType<import("tdesign-vue-next").InputNumberValue>;
                        default: number;
                    };
                    placeholder: {
                        type: StringConstructor;
                        default: any;
                    };
                    readonly: BooleanConstructor;
                    size: {
                        type: import("vue").PropType<"small" | "medium" | "large">;
                        default: "small" | "medium" | "large";
                        validator(val: "small" | "medium" | "large"): boolean;
                    };
                    status: {
                        type: import("vue").PropType<"default" | "error" | "success" | "warning">;
                        validator(val: "default" | "error" | "success" | "warning"): boolean;
                    };
                    step: {
                        type: import("vue").PropType<import("tdesign-vue-next").InputNumberValue>;
                        default: number;
                    };
                    suffix: {
                        type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                    };
                    theme: {
                        type: import("vue").PropType<"normal" | "column" | "row">;
                        default: "normal" | "column" | "row";
                        validator(val: "normal" | "column" | "row"): boolean;
                    };
                    tips: {
                        type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                    };
                    value: {
                        type: import("vue").PropType<import("tdesign-vue-next").InputNumberValue>;
                        default: any;
                    };
                    modelValue: {
                        type: import("vue").PropType<import("tdesign-vue-next").InputNumberValue>;
                        default: any;
                    };
                    defaultValue: {
                        type: import("vue").PropType<import("tdesign-vue-next").InputNumberValue>;
                    };
                    onBlur: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context: {
                        e: FocusEvent;
                    }) => void>;
                    onChange: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context: import("tdesign-vue-next").ChangeContext) => void>;
                    onEnter: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context: {
                        e: KeyboardEvent;
                    }) => void>;
                    onFocus: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context: {
                        e: FocusEvent;
                    }) => void>;
                    onKeydown: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context: {
                        e: KeyboardEvent;
                    }) => void>;
                    onKeypress: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context: {
                        e: KeyboardEvent;
                    }) => void>;
                    onKeyup: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context: {
                        e: KeyboardEvent;
                    }) => void>;
                    onValidate: import("vue").PropType<(context: {
                        error?: "exceed-maximum" | "below-minimum";
                    }) => void>;
                }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, {
                    max: import("tdesign-vue-next").InputNumberValue;
                    value: import("tdesign-vue-next").InputNumberValue;
                    disabled: boolean;
                    size: "small" | "medium" | "large";
                    readonly: boolean;
                    step: import("tdesign-vue-next").InputNumberValue;
                    placeholder: string;
                    min: import("tdesign-vue-next").InputNumberValue;
                    modelValue: import("tdesign-vue-next").InputNumberValue;
                    theme: "normal" | "column" | "row";
                    autoWidth: boolean;
                    largeNumber: boolean;
                    allowInputOverLimit: boolean;
                    decimalPlaces: number;
                }, {}, string> & {
                    beforeCreate?: (() => void) | (() => void)[];
                    created?: (() => void) | (() => void)[];
                    beforeMount?: (() => void) | (() => void)[];
                    mounted?: (() => void) | (() => void)[];
                    beforeUpdate?: (() => void) | (() => void)[];
                    updated?: (() => void) | (() => void)[];
                    activated?: (() => void) | (() => void)[];
                    deactivated?: (() => void) | (() => void)[];
                    beforeDestroy?: (() => void) | (() => void)[];
                    beforeUnmount?: (() => void) | (() => void)[];
                    destroyed?: (() => void) | (() => void)[];
                    unmounted?: (() => void) | (() => void)[];
                    renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
                    renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
                    errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>, info: string) => boolean | void)[];
                };
                $forceUpdate: () => void;
                $nextTick: typeof import("vue").nextTick;
                $watch<T_6 extends string | ((...args: any) => any)>(source: T_6, cb: T_6 extends (...args: any) => infer R_6 ? (args_0: R_6, args_1: R_6) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
            } & Readonly<import("vue").ExtractPropTypes<{
                align: {
                    type: import("vue").PropType<"center" | "left" | "right">;
                    validator(val: "center" | "left" | "right"): boolean;
                };
                allowInputOverLimit: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                autoWidth: BooleanConstructor;
                decimalPlaces: {
                    type: NumberConstructor;
                    default: any;
                };
                disabled: BooleanConstructor;
                format: {
                    type: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context?: {
                        fixedNumber?: import("tdesign-vue-next").InputNumberValue;
                    }) => import("tdesign-vue-next").InputNumberValue>;
                };
                inputProps: {
                    type: import("vue").PropType<import("tdesign-vue-next").TdInputProps>;
                };
                label: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                largeNumber: BooleanConstructor;
                max: {
                    type: import("vue").PropType<import("tdesign-vue-next").InputNumberValue>;
                    default: number;
                };
                min: {
                    type: import("vue").PropType<import("tdesign-vue-next").InputNumberValue>;
                    default: number;
                };
                placeholder: {
                    type: StringConstructor;
                    default: any;
                };
                readonly: BooleanConstructor;
                size: {
                    type: import("vue").PropType<"small" | "medium" | "large">;
                    default: "small" | "medium" | "large";
                    validator(val: "small" | "medium" | "large"): boolean;
                };
                status: {
                    type: import("vue").PropType<"default" | "error" | "success" | "warning">;
                    validator(val: "default" | "error" | "success" | "warning"): boolean;
                };
                step: {
                    type: import("vue").PropType<import("tdesign-vue-next").InputNumberValue>;
                    default: number;
                };
                suffix: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                theme: {
                    type: import("vue").PropType<"normal" | "column" | "row">;
                    default: "normal" | "column" | "row";
                    validator(val: "normal" | "column" | "row"): boolean;
                };
                tips: {
                    type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                value: {
                    type: import("vue").PropType<import("tdesign-vue-next").InputNumberValue>;
                    default: any;
                };
                modelValue: {
                    type: import("vue").PropType<import("tdesign-vue-next").InputNumberValue>;
                    default: any;
                };
                defaultValue: {
                    type: import("vue").PropType<import("tdesign-vue-next").InputNumberValue>;
                };
                onBlur: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context: {
                    e: FocusEvent;
                }) => void>;
                onChange: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context: import("tdesign-vue-next").ChangeContext) => void>;
                onEnter: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context: {
                    e: KeyboardEvent;
                }) => void>;
                onFocus: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context: {
                    e: FocusEvent;
                }) => void>;
                onKeydown: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context: {
                    e: KeyboardEvent;
                }) => void>;
                onKeypress: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context: {
                    e: KeyboardEvent;
                }) => void>;
                onKeyup: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context: {
                    e: KeyboardEvent;
                }) => void>;
                onValidate: import("vue").PropType<(context: {
                    error?: "exceed-maximum" | "below-minimum";
                }) => void>;
            }>> & import("vue").ShallowUnwrapRef<() => JSX.Element> & import("vue").ComponentCustomProperties;
            __isFragment?: never;
            __isTeleport?: never;
            __isSuspense?: never;
        } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            align: {
                type: import("vue").PropType<"center" | "left" | "right">;
                validator(val: "center" | "left" | "right"): boolean;
            };
            allowInputOverLimit: {
                type: BooleanConstructor;
                default: boolean;
            };
            autoWidth: BooleanConstructor;
            decimalPlaces: {
                type: NumberConstructor;
                default: any;
            };
            disabled: BooleanConstructor;
            format: {
                type: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context?: {
                    fixedNumber?: import("tdesign-vue-next").InputNumberValue;
                }) => import("tdesign-vue-next").InputNumberValue>;
            };
            inputProps: {
                type: import("vue").PropType<import("tdesign-vue-next").TdInputProps>;
            };
            label: {
                type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            };
            largeNumber: BooleanConstructor;
            max: {
                type: import("vue").PropType<import("tdesign-vue-next").InputNumberValue>;
                default: number;
            };
            min: {
                type: import("vue").PropType<import("tdesign-vue-next").InputNumberValue>;
                default: number;
            };
            placeholder: {
                type: StringConstructor;
                default: any;
            };
            readonly: BooleanConstructor;
            size: {
                type: import("vue").PropType<"small" | "medium" | "large">;
                default: "small" | "medium" | "large";
                validator(val: "small" | "medium" | "large"): boolean;
            };
            status: {
                type: import("vue").PropType<"default" | "error" | "success" | "warning">;
                validator(val: "default" | "error" | "success" | "warning"): boolean;
            };
            step: {
                type: import("vue").PropType<import("tdesign-vue-next").InputNumberValue>;
                default: number;
            };
            suffix: {
                type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            };
            theme: {
                type: import("vue").PropType<"normal" | "column" | "row">;
                default: "normal" | "column" | "row";
                validator(val: "normal" | "column" | "row"): boolean;
            };
            tips: {
                type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            };
            value: {
                type: import("vue").PropType<import("tdesign-vue-next").InputNumberValue>;
                default: any;
            };
            modelValue: {
                type: import("vue").PropType<import("tdesign-vue-next").InputNumberValue>;
                default: any;
            };
            defaultValue: {
                type: import("vue").PropType<import("tdesign-vue-next").InputNumberValue>;
            };
            onBlur: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context: {
                e: FocusEvent;
            }) => void>;
            onChange: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context: import("tdesign-vue-next").ChangeContext) => void>;
            onEnter: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context: {
                e: KeyboardEvent;
            }) => void>;
            onFocus: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context: {
                e: FocusEvent;
            }) => void>;
            onKeydown: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context: {
                e: KeyboardEvent;
            }) => void>;
            onKeypress: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context: {
                e: KeyboardEvent;
            }) => void>;
            onKeyup: import("vue").PropType<(value: import("tdesign-vue-next").InputNumberValue, context: {
                e: KeyboardEvent;
            }) => void>;
            onValidate: import("vue").PropType<(context: {
                error?: "exceed-maximum" | "below-minimum";
            }) => void>;
        }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, {
            max: import("tdesign-vue-next").InputNumberValue;
            value: import("tdesign-vue-next").InputNumberValue;
            disabled: boolean;
            size: "small" | "medium" | "large";
            readonly: boolean;
            step: import("tdesign-vue-next").InputNumberValue;
            placeholder: string;
            min: import("tdesign-vue-next").InputNumberValue;
            modelValue: import("tdesign-vue-next").InputNumberValue;
            theme: "normal" | "column" | "row";
            autoWidth: boolean;
            largeNumber: boolean;
            allowInputOverLimit: boolean;
            decimalPlaces: number;
        }, {}, string> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("@vue/runtime-core").Plugin;
        readonly TSwitch: {
            new (...args: any[]): {
                $: import("vue").ComponentInternalInstance;
                $data: {};
                $props: Partial<{
                    value: import("tdesign-vue-next").SwitchValue;
                    loading: boolean;
                    label: (string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue))[] | ((h: typeof import("vue").h, props: {
                        value: import("tdesign-vue-next").SwitchValue;
                    }) => import("tdesign-vue-next/es/common").SlotReturnValue);
                    disabled: boolean;
                    size: "small" | "medium" | "large";
                    modelValue: import("tdesign-vue-next").SwitchValue;
                    defaultValue: import("tdesign-vue-next").SwitchValue;
                }> & Omit<Readonly<import("vue").ExtractPropTypes<{
                    customValue: {
                        type: import("vue").PropType<import("tdesign-vue-next").SwitchValue[]>;
                    };
                    disabled: BooleanConstructor;
                    label: {
                        type: import("vue").PropType<(string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue))[] | ((h: typeof import("vue").h, props: {
                            value: import("tdesign-vue-next").SwitchValue;
                        }) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                        default: () => (string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue))[] | ((h: typeof import("vue").h, props: {
                            value: import("tdesign-vue-next").SwitchValue;
                        }) => import("tdesign-vue-next/es/common").SlotReturnValue);
                    };
                    loading: BooleanConstructor;
                    size: {
                        type: import("vue").PropType<"small" | "medium" | "large">;
                        default: "small" | "medium" | "large";
                        validator(val: "small" | "medium" | "large"): boolean;
                    };
                    modelValue: {
                        type: import("vue").PropType<import("tdesign-vue-next").SwitchValue>;
                        default: any;
                    };
                    value: {
                        type: import("vue").PropType<import("tdesign-vue-next").SwitchValue>;
                        default: any;
                    };
                    defaultValue: {
                        type: import("vue").PropType<import("tdesign-vue-next").SwitchValue>;
                        default: boolean;
                    };
                    onChange: import("vue").PropType<(value: import("tdesign-vue-next").SwitchValue) => void>;
                }>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "value" | "disabled" | "size" | "modelValue" | "loading" | "defaultValue" | "label">;
                $attrs: {
                    [x: string]: unknown;
                };
                $refs: {
                    [x: string]: unknown;
                };
                $slots: Readonly<{
                    [name: string]: import("vue").Slot;
                }>;
                $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>;
                $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>;
                $emit: (event: string, ...args: any[]) => void;
                $el: any;
                $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                    customValue: {
                        type: import("vue").PropType<import("tdesign-vue-next").SwitchValue[]>;
                    };
                    disabled: BooleanConstructor;
                    label: {
                        type: import("vue").PropType<(string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue))[] | ((h: typeof import("vue").h, props: {
                            value: import("tdesign-vue-next").SwitchValue;
                        }) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                        default: () => (string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue))[] | ((h: typeof import("vue").h, props: {
                            value: import("tdesign-vue-next").SwitchValue;
                        }) => import("tdesign-vue-next/es/common").SlotReturnValue);
                    };
                    loading: BooleanConstructor;
                    size: {
                        type: import("vue").PropType<"small" | "medium" | "large">;
                        default: "small" | "medium" | "large";
                        validator(val: "small" | "medium" | "large"): boolean;
                    };
                    modelValue: {
                        type: import("vue").PropType<import("tdesign-vue-next").SwitchValue>;
                        default: any;
                    };
                    value: {
                        type: import("vue").PropType<import("tdesign-vue-next").SwitchValue>;
                        default: any;
                    };
                    defaultValue: {
                        type: import("vue").PropType<import("tdesign-vue-next").SwitchValue>;
                        default: boolean;
                    };
                    onChange: import("vue").PropType<(value: import("tdesign-vue-next").SwitchValue) => void>;
                }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
                    value: import("tdesign-vue-next").SwitchValue;
                    loading: boolean;
                    label: (string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue))[] | ((h: typeof import("vue").h, props: {
                        value: import("tdesign-vue-next").SwitchValue;
                    }) => import("tdesign-vue-next/es/common").SlotReturnValue);
                    disabled: boolean;
                    size: "small" | "medium" | "large";
                    modelValue: import("tdesign-vue-next").SwitchValue;
                    defaultValue: import("tdesign-vue-next").SwitchValue;
                }, {}, string> & {
                    beforeCreate?: (() => void) | (() => void)[];
                    created?: (() => void) | (() => void)[];
                    beforeMount?: (() => void) | (() => void)[];
                    mounted?: (() => void) | (() => void)[];
                    beforeUpdate?: (() => void) | (() => void)[];
                    updated?: (() => void) | (() => void)[];
                    activated?: (() => void) | (() => void)[];
                    deactivated?: (() => void) | (() => void)[];
                    beforeDestroy?: (() => void) | (() => void)[];
                    beforeUnmount?: (() => void) | (() => void)[];
                    destroyed?: (() => void) | (() => void)[];
                    unmounted?: (() => void) | (() => void)[];
                    renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
                    renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
                    errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>, info: string) => boolean | void)[];
                };
                $forceUpdate: () => void;
                $nextTick: typeof import("vue").nextTick;
                $watch<T_7 extends string | ((...args: any) => any)>(source: T_7, cb: T_7 extends (...args: any) => infer R_7 ? (args_0: R_7, args_1: R_7) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
            } & Readonly<import("vue").ExtractPropTypes<{
                customValue: {
                    type: import("vue").PropType<import("tdesign-vue-next").SwitchValue[]>;
                };
                disabled: BooleanConstructor;
                label: {
                    type: import("vue").PropType<(string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue))[] | ((h: typeof import("vue").h, props: {
                        value: import("tdesign-vue-next").SwitchValue;
                    }) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                    default: () => (string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue))[] | ((h: typeof import("vue").h, props: {
                        value: import("tdesign-vue-next").SwitchValue;
                    }) => import("tdesign-vue-next/es/common").SlotReturnValue);
                };
                loading: BooleanConstructor;
                size: {
                    type: import("vue").PropType<"small" | "medium" | "large">;
                    default: "small" | "medium" | "large";
                    validator(val: "small" | "medium" | "large"): boolean;
                };
                modelValue: {
                    type: import("vue").PropType<import("tdesign-vue-next").SwitchValue>;
                    default: any;
                };
                value: {
                    type: import("vue").PropType<import("tdesign-vue-next").SwitchValue>;
                    default: any;
                };
                defaultValue: {
                    type: import("vue").PropType<import("tdesign-vue-next").SwitchValue>;
                    default: boolean;
                };
                onChange: import("vue").PropType<(value: import("tdesign-vue-next").SwitchValue) => void>;
            }>> & import("vue").ShallowUnwrapRef<() => JSX.Element> & import("vue").ComponentCustomProperties;
            __isFragment?: never;
            __isTeleport?: never;
            __isSuspense?: never;
        } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            customValue: {
                type: import("vue").PropType<import("tdesign-vue-next").SwitchValue[]>;
            };
            disabled: BooleanConstructor;
            label: {
                type: import("vue").PropType<(string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue))[] | ((h: typeof import("vue").h, props: {
                    value: import("tdesign-vue-next").SwitchValue;
                }) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                default: () => (string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue))[] | ((h: typeof import("vue").h, props: {
                    value: import("tdesign-vue-next").SwitchValue;
                }) => import("tdesign-vue-next/es/common").SlotReturnValue);
            };
            loading: BooleanConstructor;
            size: {
                type: import("vue").PropType<"small" | "medium" | "large">;
                default: "small" | "medium" | "large";
                validator(val: "small" | "medium" | "large"): boolean;
            };
            modelValue: {
                type: import("vue").PropType<import("tdesign-vue-next").SwitchValue>;
                default: any;
            };
            value: {
                type: import("vue").PropType<import("tdesign-vue-next").SwitchValue>;
                default: any;
            };
            defaultValue: {
                type: import("vue").PropType<import("tdesign-vue-next").SwitchValue>;
                default: boolean;
            };
            onChange: import("vue").PropType<(value: import("tdesign-vue-next").SwitchValue) => void>;
        }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
            value: import("tdesign-vue-next").SwitchValue;
            loading: boolean;
            label: (string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue))[] | ((h: typeof import("vue").h, props: {
                value: import("tdesign-vue-next").SwitchValue;
            }) => import("tdesign-vue-next/es/common").SlotReturnValue);
            disabled: boolean;
            size: "small" | "medium" | "large";
            modelValue: import("tdesign-vue-next").SwitchValue;
            defaultValue: import("tdesign-vue-next").SwitchValue;
        }, {}, string> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("@vue/runtime-core").Plugin;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:modelValue" | "finish")[], "update:modelValue" | "finish", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        modelValue: {
            default: string;
        };
        type: {
            type: StringConstructor;
            default: string;
        };
        autoFocus: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        blurFinish: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & {
        "onUpdate:modelValue"?: (...args: any[]) => any;
        onFinish?: (...args: any[]) => any;
    }, {
        type: string;
        modelValue: string;
        autoFocus: boolean;
        blurFinish: boolean;
    }>;
    readonly CloseIcon: import("vue").DefineComponent<{
        size: {
            type: StringConstructor;
        };
        onClick: {
            type: import("vue").PropType<(context: {
                e: MouseEvent;
            }) => void>;
        };
    }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
        size?: unknown;
        onClick?: unknown;
    } & {
        size?: string;
        onClick?: (context: {
            e: MouseEvent;
        }) => void;
    }>, {}>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("customAdd" | "delete" | "submit")[], "customAdd" | "delete" | "submit", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    parentType: {
        type: StringConstructor;
        default: string;
    };
}>> & {
    onCustomAdd?: (...args: any[]) => any;
    onDelete?: (...args: any[]) => any;
    onSubmit?: (...args: any[]) => any;
}, {
    parentType: string;
}>;
export default _sfc_main;
